


global datadir 		"C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\EVS Daten Arbeitsverzeichnis z. Rohdaten/" 

set linesize 180

use "$datadir/UQR_Datensatz_Personen.dta", clear

*Perzentil Gehalt
cap drop dec_gehalt
xtile dec_gehalt = Monatslohn if AN == 1 [pweight=hhrf_bund], nq(10) 
tab dec_gehalt
sum Monatslohn if dec_gehalt == 1 & welle == 2008 [aw=hhrf_bund]
sum Monatslohn if dec_gehalt == 1 & welle == 2013 [aw=hhrf_bund]
sum Monatslohn if dec_gehalt == 1 & welle == 2018 [aw=hhrf_bund]


*Perzentil HH-EK abh. Besch.
cap drop dec_hh_EK_abh_besch
xtile dec_hh_EK_abh_besch = EK_abh_besch_OECD if AN == 1 & EK_abh_besch_OECD != 0 [pweight=hhrf_bund], nq(10) 
tab dec_hh_EK_abh_besch
sum EK_abh_besch_OECD if dec_hh_EK_abh_besch == 1 & welle == 2008 [aw=hhrf_bund]
sum EK_abh_besch_OECD if dec_hh_EK_abh_besch == 1 & welle == 2013 [aw=hhrf_bund]
sum EK_abh_besch_OECD if dec_hh_EK_abh_besch == 1 & welle == 2018 [aw=hhrf_bund]


*Ostdeutschland anlegen
numlabel, add
tab bundesland
cap gen ostdeutschland = 1 if bundesland >= 12 & bundesland <= 16
replace ostdeutschland = 0 if ostdeutschland != 1
tab ostdeutschland


*Nutzungsart der Hauptwohnung, in Datei UQR_Datenvorbereitung in eine Variable geschrieben
*2008 EF19
*2013 EF20
*2018 EF20
*Hauptwohnung vereinfachen
tab Hauptwohnung
replace Hauptwohnung = 1 if Hauptwohnung == 2
replace Hauptwohnung = 3 if Hauptwohnung == 4 |  Hauptwohnung == 5
*Entwicklung der Eigentums-Quote bei AN in Ostdeutschland und West
*Ost
tab Hauptwohnung if AN == 1 & ostdeutschland == 1 & welle == 2008 [aw = hhrf_bund]
tab Hauptwohnung if AN == 1 & ostdeutschland == 1 & welle == 2013 [aw = hhrf_bund]
tab Hauptwohnung if AN == 1 & ostdeutschland == 1 & welle == 2018 [aw = hhrf_bund]
*West
tab Hauptwohnung if AN == 1 & ostdeutschland == 0 & welle == 2008 [aw = hhrf_bund]
tab Hauptwohnung if AN == 1 & ostdeutschland == 0 & welle == 2013 [aw = hhrf_bund]
tab Hauptwohnung if AN == 1 & ostdeutschland == 0 & welle == 2018 [aw = hhrf_bund]
*Entwicklung der unterstellten Mieten Ost / West im Vgl.
*Ost
sum imp_rent if AN == 1 & ostdeutschland == 1 & welle == 2008 [aw = hhrf_bund]
sum imp_rent if AN == 1 & ostdeutschland == 1 & welle == 2013 [aw = hhrf_bund]
sum imp_rent if AN == 1 & ostdeutschland == 1 & welle == 2018 [aw = hhrf_bund]
*West
sum imp_rent if AN == 1 & ostdeutschland == 0 & welle == 2008 [aw = hhrf_bund]
sum imp_rent if AN == 1 & ostdeutschland == 0 & welle == 2013 [aw = hhrf_bund]
sum imp_rent if AN == 1 & ostdeutschland == 0 & welle == 2018 [aw = hhrf_bund]

*Eingriffstiefe Ostdeutschland
sum bite_vse if ostdeutschland == 1 [aw=hhrf_bund]
sum bite_vse if ostdeutschland == 0 [aw=hhrf_bund]

*Entwicklung der Selbstständigen-Einkommen in Ostdeutschland
sum bruttoeinkommen_OECD if Selbst == 1 & ostdeutschland == 1 & welle == 2013 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if Selbst == 1 & ostdeutschland == 1 & welle == 2018 [aw = hhrf_bund], detail

*Entwicklung der Selbstständigen-Einkommen in Westdeutschland
sum bruttoeinkommen_OECD if Selbst == 1 & ostdeutschland != 1 & welle == 2013 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if Selbst == 1 & ostdeutschland != 1 & welle == 2018 [aw = hhrf_bund], detail

*Globals für Auswertungen
global HH_einkommen = "bruttoeinkommen nettoeinkommen"
global einkommensbestandteile = "EK_abh_besch EK_oeff_tr EK_selbst EK_Vermoegen EK_unterst_miet"
global einkommensbestandteile_OECD = "EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_Vermoegen_OECD EK_unterst_miet_OECD "
global einkommensbestandteile_OECD = "EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_VermoegenImmo_OECD "
global HH_einkommen_OECD = "bruttoeinkommen_OECD nettoeinkommen_OECD EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_Vermoegen_OECD EK_unterst_miet_OECD"
global HH_bruttoeinkommen_OECD = "bruttoeinkommen_OECD EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_Vermoegen_OECD EK_unterst_miet_OECD"
global einkommensbestandteil_quoten = "EK_abh_besch_quote EK_oeff_tr_quote EK_selbst_quote EK_Vermoegen_quote EK_unterst_miet_quote"
global einkommensbestandteil_quoten_o_w = "EK_abh_besch_quote_o EK_abh_besch_quote_w EK_oeff_tr_quote_o EK_oeff_tr_quote_w EK_selbst_quote_o EK_selbst_quote_w EK_Vermoegen_quote_o EK_Vermoegen_quote_w EK_unterst_miet_quote_o EK_unterst_miet_quote_w"

*Vermögens-EK zusammenfassen
sum EK_Vermoegen_OECD
sum EK_unterst_miet_OECD
cap gen EK_VermoegenImmo_OECD = EK_Vermoegen_OECD + EK_unterst_miet_OECD
sum EK_VermoegenImmo_OECD
global einkommensbestandteile_OECD_tab = "EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_VermoegenImmo_OECD "



*Tab. Dezile AN Gesamtdeutschland
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Dezile_AN_Deutschland", sheet(Tabelle2, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
putexcel B`zeilenzaehler' = "Gehälter"
putexcel C`zeilenzaehler' = "Einkommen aus abhängiger Besch."
putexcel D`zeilenzaehler' = "Bruttoeinkommen insg."
putexcel E`zeilenzaehler' = "Nettoeinkommen insg."
local zeilenzaehler = 2
forvalues i = 1(1)9 {
sleep 5
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "P`quantil_zahl'"
local zeilenzaehler = `zeilenzaehler' + 1
}
local k = 1
local letters = "A B C D E F G H I J K"
foreach l of varlist Monatslohn EK_abh_besch_OECD bruttoeinkommen_OECD nettoeinkommen_OECD {
local k = `k' + 1
local zeilenzaehler = 2
*Perzentile erzeugen
drop pct
pctile pct = `l' if `l' != 0 & AN == 1 [aw=hhrf_bund], nq(10)
tab pct
forvalues i = 1(1)9 {
sleep 5
*Perzentil in die richtige Spalte schreiben
local letter = word("`letters'", `k')
di "`letter'"
sum pct in `i'
local temp = round(`r(mean)',1)
putexcel `letter'`zeilenzaehler' = (`temp')
local zeilenzaehler = `zeilenzaehler' + 1
}
}

*Tab. Dezile Alle 18..64 Gesamtdeutschland
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Dezile_Alle_18_65_Deutschland", sheet(Tabelle2, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
putexcel B`zeilenzaehler' = "Gehälter"
putexcel C`zeilenzaehler' = "Einkommen aus abhängiger Besch."
putexcel D`zeilenzaehler' = "Bruttoeinkommen insg."
putexcel E`zeilenzaehler' = "Nettoeinkommen insg."
local zeilenzaehler = 2
forvalues i = 1(1)9 {
sleep 5
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "P`quantil_zahl'"
local zeilenzaehler = `zeilenzaehler' + 1
}
local k = 1
local letters = "A B C D E F G H I J K"
foreach l of varlist EK_abh_besch_OECD bruttoeinkommen_OECD nettoeinkommen_OECD {
local k = `k' + 1
local zeilenzaehler = 2
*Perzentile erzeugen
cap drop pct
pctile pct = `l' if `l' != 0 [aw=hhrf_bund], nq(10)
tab pct
forvalues i = 1(1)9 {
sleep 5
*Perzentil in die richtige Spalte schreiben
local letter = word("`letters'", `k')
di "`letter'"
sum pct in `i'
local temp = round(`r(mean)',1)
putexcel `letter'`zeilenzaehler' = (`temp')
local zeilenzaehler = `zeilenzaehler' + 1
}
}


*Quoten für Einkommensbestandteile nach Ost/West differenziert kennzeichnen
foreach i in $einkommensbestandteil_quoten{
*Ostquote
cap gen `i'_o = `i' if ostdeutschland == 1
*Westquote
cap gen `i'_w = `i' if ostdeutschland == 0
}

*Tab. Dezile AN mit Vergleich Ost-West
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Bruttoeinkommen_AN_DezileOstWest", sheet(Tabelle2, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
putexcel B`zeilenzaehler' = "Brutto insges."
putexcel D`zeilenzaehler' = "Abh. Besch."
putexcel F`zeilenzaehler' = "Transfers"
putexcel H`zeilenzaehler' = "Selbst. Besch."
putexcel J`zeilenzaehler' = "Vermögen insges."
local zeilenzaehler = 2
forvalues h = 2008(5)2018 {
putexcel B`zeilenzaehler' = "Bruttoeinkommen insges. Ost"
putexcel C`zeilenzaehler' = "Bruttoeinkommen insges. West"
putexcel D`zeilenzaehler' = "Einkommen aus abhängiger Beschäftigung Ost"
putexcel E`zeilenzaehler' = "Einkommen aus abhängiger Beschäftigung West"
putexcel F`zeilenzaehler' = "Einkommen aus öffentlichen Transfers Ost"
putexcel G`zeilenzaehler' = "Einkommen aus öffentlichen Transfers West"
putexcel H`zeilenzaehler' = "Einkommen aus selbstständiger Beschäftigung Ost"
putexcel I`zeilenzaehler' = "Einkommen aus selbstständiger Beschäftigung West"
putexcel J`zeilenzaehler' = "Einkommen aus Vermögen Ost"
putexcel K`zeilenzaehler' = "Einkommen aus Vermögen West"
*Dezile Bruttoeinkommen Ostdeutschland
cap drop dec_o
xtile dec_o = bruttoeinkommen_OECD if AN == 1 & ostdeutschland == 1 & welle == `h' [pweight=hhrf_bund], nq(10) 
tab dec_o [aw=hhrf_bund]
*Dezile Bruttoeinkommen Westdeutschland
cap drop dec_w
xtile dec_w = bruttoeinkommen_OECD if AN == 1 & ostdeutschland == 0 & welle == `h' [pweight=hhrf_bund], nq(10) 
tab dec_w [aw=hhrf_bund]
forvalues i = 1(1)10 {
sleep 5
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "`h'"
local j = `zeilenzaehler' + `i'
sleep 5
putexcel A`j' = "P`quantil_zahl'"
local letters = "A B C D E F G H I J K"
local k = 1
foreach l of varlist bruttoeinkommen_OECD $einkommensbestandteile_OECD_tab {
*Einkommen Ost
sleep 5
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec_o == `i' & AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
*Einkommen West
sleep 5
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec_w == `i' & AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
}
*Zum Schluss noch eine Zeile mit Durchschnittswerten
sleep 5
local j = `zeilenzaehler' + 11
putexcel A`j' = "Gesamt"
local letters = "A B C D E F G H I J K"
local k = 1
foreach l of varlist bruttoeinkommen_OECD $einkommensbestandteile_OECD_tab {
*Einkommen Ost
sleep 5
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if AN == 1 & ostdeutschland == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
*Einkommen West
sleep 5
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if AN == 1 & ostdeutschland == 0 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
local zeilenzaehler = `zeilenzaehler' + 13
}

*Tab.
*Dezile AN mit Vergleich Ost-West
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Bruttoeinkommen_AN_DezileD", sheet(Tabelle2, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
putexcel B`zeilenzaehler' = "Abh. Besch."
putexcel D`zeilenzaehler' = "Transfers"
putexcel F`zeilenzaehler' = "Selbst. Besch."
putexcel H`zeilenzaehler' = "Vermögen"
putexcel J`zeilenzaehler' = "Imputierte Miete"
putexcel L`zeilenzaehler' = "Anteil Ostdeutsche"
local zeilenzaehler = 2
forvalues h = 2008(5)2018 {
putexcel B`zeilenzaehler' = "Einkommen aus abhängiger Beschäftigung Ost"
putexcel C`zeilenzaehler' = "Einkommen aus abhängiger Beschäftigung West"
putexcel D`zeilenzaehler' = "Einkommen aus öffentlichen Transfers Ost"
putexcel E`zeilenzaehler' = "Einkommen aus öffentlichen Transfers West"
putexcel F`zeilenzaehler' = "Einkommen aus selbstständiger Beschäftigung Ost"
putexcel G`zeilenzaehler' = "Einkommen aus selbstständiger Beschäftigung West"
putexcel H`zeilenzaehler' = "Einkommen aus Vermietung und Vermögen Ost"
putexcel I`zeilenzaehler' = "Einkommen aus Vermietung und Vermögen West"
putexcel J`zeilenzaehler' = "Einkommen aus imputierter Miete Ost"
putexcel K`zeilenzaehler' = "Einkommen aus imputierter Miete West"
*Dezile Bruttoeinkommens
cap drop dec_AN
xtile dec_AN = bruttoeinkommen_OECD if AN == 1 & welle == `h' [pweight=hhrf_bund], nq(10) 
forvalues i = 1(1)10 {
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "`h'"
local j = `zeilenzaehler' + `i'
putexcel A`j' = "P`quantil_zahl'"
local letters = "A B C D E F G H I J K L M"
local k = 1
foreach l of varlist $einkommensbestandteile_OECD {
*Einkommen Ost
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec_AN == `i' & ostdeutschland == 1 & AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
*Einkommen West
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec_AN == `i' & ostdeutschland == 0 & AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
*Anteil Ostdeutsche
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum ostdeutschland if dec_AN == `i' & AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(100 * `r(mean)',0.1)
putexcel `letter'`j' = (`temp')
}
*Zum Schluss noch eine Zeile mit Durchschnittswerten
local j = `zeilenzaehler' + 11
putexcel A`j' = "Gesamt"
local letters = "A B C D E F G H I J K L M"
local k = 1
foreach l of varlist $einkommensbestandteile_OECD {
*Einkommen Ost
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if AN == 1 & ostdeutschland == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
*Einkommen West
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if AN == 1 & ostdeutschland == 0 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
*Anteil Ostdeutsche
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum ostdeutschland if AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(100 * `r(mean)',0.1)
putexcel `letter'`j' = (`temp')
local zeilenzaehler = `zeilenzaehler' + 13
}


*Tab. 
*Anteil Ostdeutscher AN an den Dezilen der Bruttohaushaltseinkommen, 2008, 2013, 2018
  * Durchschnittseinkommen
  * Anteil Ostdeutschland (Fallzahl) 
*Perzentile  AN 
*Max. Einkommen im Dezil
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Ostdeutschland_AN_Dezile_Brutto", sheet(Bruttoeinkommen_Dezile_AN, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
forvalues h = 2008(5)2018 {
putexcel B`zeilenzaehler' = "Bruttoeinkommen OECD defl. Durchschnitt"
putexcel C`zeilenzaehler' = "Anteil Ostdeutsche"
*Dezile Bruttoeinkommen bilden
cap drop dec2
xtile dec2 = bruttoeinkommen_OECD if AN == 1 & welle == `h' [pweight=hhrf_bund], nq(10) 
tab dec2 [aw=hhrf_bund]
forvalues i = 1(1)10 {
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "`h'"
local j = `zeilenzaehler' + `i'
putexcel A`j' = "P`quantil_zahl'"
sum bruttoeinkommen_OECD if dec2 == `i' & AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel B`j' = (`temp')
local letters = "A B C D E F G H"
local k = 2
foreach l of varlist ostdeutschland{
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec2 == `i' & AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(100 * `r(mean)',0.01)
putexcel `letter'`j' = (`temp')
}
}
*Zum Schluss noch eine Zeile mit Durchschnittswerten
local j = `zeilenzaehler' + 11
putexcel A`j' = "Gesamt"
sum bruttoeinkommen_OECD if AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel B`j' = (`temp')
local letters = "A B C D E F G H"
local k = 2
foreach l of varlist ostdeutschland {
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if AN == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(100 * `r(mean)',0.01)
putexcel `letter'`j' = (`temp')
}
local zeilenzaehler = `zeilenzaehler' + 13
}




*Dezile der Bruttohaushaltseinkommen, Arbeitnehmer + Selbstständige, 2008, 2013, 2018
  * Durchschnittseinkommen
  * Anteil Ostdeutschland (Fallzahl) 
  * Anteil der Einkommen aus abhängiger Beschäftigung an den Einkommen
  * Anteil der Einkommen aus öffentlichen Transfers
  * Anteil der Einkommen aus selbstständiger Beschäftigung 
  * Anteil der Einkommen aus Vermietung und Vermögen
  * Anteil der Einkommen aus imputierter Miete
*Perzentile  AN 
*Max. Einkommen im Dezil
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Bruttoeinkommen_AN_Selbst_Dezile", sheet(Bruttoek_Dezile_AN_Selbst, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
forvalues h = 2008(5)2018 {
putexcel B`zeilenzaehler' = "Bruttoeinkommen OECD defl. Durchschnitt"
putexcel C`zeilenzaehler' = "Anteil Ostdeutsche"
putexcel D`zeilenzaehler' = "Anteil der Einkommen aus abhängiger Beschäftigung"
putexcel E`zeilenzaehler' = "Anteil der Einkommen aus öffentlichen Transfers"
putexcel F`zeilenzaehler' = "Anteil der Einkommen aus selbstständiger Beschäftigung"
putexcel G`zeilenzaehler' = "Anteil der Einkommen aus Vermietung und Vermögen"
putexcel H`zeilenzaehler' = "Anteil der Einkommen aus imputierter Miete"
*Dezile Bruttoeinkommen bilden
cap drop dec2
xtile dec2 = bruttoeinkommen_OECD if (AN == 1 | Selbst == 1) & welle == `h' [pweight=hhrf_bund], nq(10) 
tab dec2 [aw=hhrf_bund]
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "`h'"
local j = `zeilenzaehler' + `i'
putexcel A`j' = "P`quantil_zahl'"
sum bruttoeinkommen_OECD if dec2 == `i' & (AN == 1 | Selbst == 1) & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel B`j' = (`temp')
local letters = "A B C D E F G H"
local k = 2
foreach l of varlist ostdeutschland Brutto_abh_besch_quote Einnahmen_oeff_transfers_quote Brutto_selbst_quote Brutto_ekvermoegen_quote  unterstellte_miete_quote{
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec2 == `i' & (AN == 1 | Selbst == 1) & welle == `h' [aw=hhrf_bund]
local temp = round(100 * `r(mean)',0.01)
putexcel `letter'`j' = (`temp')
}
}
*Zum Schluss noch eine Zeile mit Durchschnittswerten
local j = `zeilenzaehler' + 10
putexcel A`j' = "Gesamt"
sum bruttoeinkommen_OECD if welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel B`j' = (`temp')
local letters = "A B C D E F G H"
local k = 2
foreach l of varlist ostdeutschland Brutto_abh_besch_quote Einnahmen_oeff_transfers_quote Brutto_selbst_quote Brutto_ekvermoegen_quote  unterstellte_miete_quote {
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if (AN == 1 | Selbst == 1) & welle == `h' [aw=hhrf_bund]
local temp = round(100 * `r(mean)',0.01)
putexcel `letter'`j' = (`temp')
}
local zeilenzaehler = `zeilenzaehler' + 12
}


*Dezile SELBSTSTÄNDIGE mit Vergleich Ost-West
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Bruttoeinkommen_Selbst_OstWest", sheet(Tabelle2, replace) modify
*nach Jahren, erste Tabelle 2008
putexcel A1 = "Dezile des Einkommens aus selbstständiger Tätigkeit"
local zeilenzaehler = 2
putexcel A2 = "Einkommens aus..."
putexcel B`zeilenzaehler' = "Abh. Besch."
putexcel D`zeilenzaehler' = "Transfers"
putexcel F`zeilenzaehler' = "Selbst. Besch."
putexcel H`zeilenzaehler' = "Vermögen"
putexcel J`zeilenzaehler' = "Imputierte Miete"
local zeilenzaehler = 3
forvalues h = 2008(5)2018 {
putexcel B`zeilenzaehler' = "Einkommen aus abhängiger Beschäftigung Ost"
putexcel C`zeilenzaehler' = "Einkommen aus abhängiger Beschäftigung West"
putexcel D`zeilenzaehler' = "Einkommen aus öffentlichen Transfers Ost"
putexcel E`zeilenzaehler' = "Einkommen aus öffentlichen Transfers West"
putexcel F`zeilenzaehler' = "Einkommen aus selbstständiger Beschäftigung Ost"
putexcel G`zeilenzaehler' = "Einkommen aus selbstständiger Beschäftigung West"
putexcel H`zeilenzaehler' = "Einkommen aus Vermietung und Vermögen Ost"
putexcel I`zeilenzaehler' = "Einkommen aus Vermietung und Vermögen West"
putexcel J`zeilenzaehler' = "Einkommen aus imputierter Miete Ost"
putexcel K`zeilenzaehler' = "Einkommen aus imputierter Miete West"
*Dezile Bruttoeinkommen Ostdeutschland
cap drop dec_o
xtile dec_o = EK_selbst_OECD if (Selbst == 1) & ostdeutschland == 1 & welle == `h' [pweight=hhrf_bund], nq(5) 
tab dec_o [aw=hhrf_bund]
*Dezile Bruttoeinkommen Westdeutschland
cap drop dec_w
xtile dec_w = EK_selbst_OECD if (Selbst == 1) & ostdeutschland == 0 & welle == `h' [pweight=hhrf_bund], nq(5) 
tab dec_w [aw=hhrf_bund]
forvalues i = 1(1)5 {
local quantil_zahl = `i' * 20
putexcel A`zeilenzaehler' = "`h'"
local j = `zeilenzaehler' + `i'
putexcel A`j' = "P`quantil_zahl'"
local letters = "A B C D E F G H I J K"
local k = 1
foreach l of varlist $einkommensbestandteile_OECD {
*Einkommen Ost
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec_o == `i' & (Selbst == 1) & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
*Einkommen West
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec_w == `i' & (Selbst == 1) & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
}
*Zum Schluss noch eine Zeile mit Durchschnittswerten
local j = `zeilenzaehler' + 11
putexcel A`j' = "Gesamt"
local letters = "A B C D E F G H I J K"
local k = 1
foreach l of varlist $einkommensbestandteile_OECD {
*Einkommen Ost
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if (Selbst == 1) & ostdeutschland == 1 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
*Einkommen West
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if (Selbst == 1) & ostdeutschland == 0 & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
local zeilenzaehler = `zeilenzaehler' + 13
}




*Dezile der Bruttohaushaltseinkommen Ostdeutschland, Arbeitnehmer, 2008, 2013, 2018
  * Durchschnittseinkommen
  * Anteil Ostdeutschland (Fallzahl) 
  * Anteil der Einkommen aus abhängiger Beschäftigung an den Einkommen
  * Anteil der Einkommen aus öffentlichen Transfers
  * Anteil der Einkommen aus selbstständiger Beschäftigung 
  * Anteil der Einkommen aus Vermietung und Vermögen
  * Anteil der Einkommen aus imputierter Miete
*Perzentile  AN 
*Max. Einkommen im Dezil
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Bruttoeinkommen_AN_Dezile_Ost", sheet(Bruttoeinkommen_Dezile_AN_Ost, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
forvalues h = 2008(5)2018 {
putexcel B`zeilenzaehler' = "Bruttoeinkommen OECD defl. Durchschnitt"
putexcel C`zeilenzaehler' = "... aus abhängiger Beschäftigung"
putexcel D`zeilenzaehler' = "... aus öffentlichen Transfers"
putexcel E`zeilenzaehler' = "... aus selbstständiger Beschäftigung"
putexcel F`zeilenzaehler' = "... aus Vermietung und Vermögen"
putexcel G`zeilenzaehler' = "... aus imputierter Miete"
*Dezile Bruttoeinkommen bilden
cap drop dec2
xtile dec2 = bruttoeinkommen_OECD if AN == 1 & ostdeutschland == 1 & welle == `h' [pweight=hhrf_bund], nq(10) 
tab dec2 [aw=hhrf_bund]
forvalues i = 1(1)10 {
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "`h'"
local j = `zeilenzaehler' + `i'
putexcel A`j' = "P`quantil_zahl'"
local letters = "A B C D E F G H"
local k = 1
foreach l of varlist $HH_bruttoeinkommen_OECD{
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec2 == `i' & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
}
*Zum Schluss noch eine Zeile mit Durchschnittswerten
local j = `zeilenzaehler' + 11
putexcel A`j' = "Gesamt"
local letters = "A B C D E F G H"
local k = 1
foreach l of varlist $HH_bruttoeinkommen_OECD {
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
local zeilenzaehler = `zeilenzaehler' + 13
}

*Dezile der Bruttohaushaltseinkommen Westdeutschalnd, Arbeitnehmer, 2008, 2013, 2018
  * Durchschnittseinkommen
  * Anteil Ostdeutschland (Fallzahl) 
  * Anteil der Einkommen aus abhängiger Beschäftigung an den Einkommen
  * Anteil der Einkommen aus öffentlichen Transfers
  * Anteil der Einkommen aus selbstständiger Beschäftigung 
  * Anteil der Einkommen aus Vermietung und Vermögen
  * Anteil der Einkommen aus imputierter Miete
*Perzentile  AN 
*Max. Einkommen im Dezil
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\Bruttoeinkommen_AN_Dezile_West", sheet(Bruttoeinkommen_Dezile_AN_West, replace) modify
*nach Jahren, erste Tabelle 2008
local zeilenzaehler = 1
forvalues h = 2008(5)2018 {
putexcel B`zeilenzaehler' = "Bruttoeinkommen OECD defl. Durchschnitt"
putexcel C`zeilenzaehler' = "... aus abhängiger Beschäftigung"
putexcel D`zeilenzaehler' = "... aus öffentlichen Transfers"
putexcel E`zeilenzaehler' = "... aus selbstständiger Beschäftigung"
putexcel F`zeilenzaehler' = "... aus Vermietung und Vermögen"
putexcel G`zeilenzaehler' = "... aus imputierter Miete"
*Dezile Bruttoeinkommen bilden
cap drop dec2
xtile dec2 = bruttoeinkommen_OECD if AN == 1 & ostdeutschland == 0 & welle == `h' [pweight=hhrf_bund], nq(10) 
tab dec2 [aw=hhrf_bund]
forvalues i = 1(1)10 {
local quantil_zahl = `i' * 10
putexcel A`zeilenzaehler' = "`h'"
local j = `zeilenzaehler' + `i'
putexcel A`j' = "P`quantil_zahl'"
local letters = "A B C D E F G H"
local k = 1
foreach l of varlist $HH_bruttoeinkommen_OECD{
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if dec2 == `i' & welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
}
*Zum Schluss noch eine Zeile mit Durchschnittswerten
local j = `zeilenzaehler' + 11
putexcel A`j' = "Gesamt"
local letters = "A B C D E F G H"
local k = 1
foreach l of varlist $HH_bruttoeinkommen_OECD {
local k = `k' + 1
local letter = word("`letters'", `k')
di "`letter'"
sum `l' if welle == `h' [aw=hhrf_bund]
local temp = round(`r(mean)',1)
putexcel `letter'`j' = (`temp')
}
local zeilenzaehler = `zeilenzaehler' + 13
}


*Aufsummierung der Gewinne unten und Verluste oben, Regression AN und Selbst
di 1115 * 0.92  + 1593 * 0.78 + 2017 * 0.67 + 2404 * 0.4 + 2794 * 0.22 - 3219 * 0.08 - 3726 * 0.31 - 4435 * 0.56 - 5643 * 0.44

