


global datadir 		"C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\EVS Daten Arbeitsverzeichnis z. Rohdaten/" 

set linesize 180

use "$datadir/UQR_Datensatz_Personen.dta", clear

*Markierung AN- und Selbst-HH


*Anteil unter Mindestlohn, 2013 preisbereinigter Wert für Milo-Schwelle von 2015
cap drop mark
gen     mark = 0 if Stundenlohn > 0 & Stundenlohn != .
replace mark = 1 if Stundenlohn < 8.5  & welle == 2008
replace mark = 1 if Stundenlohn < 8.5  & welle == 2013
*im Jahr 2018 die Deflationierung rückggängig machen
replace mark = 1 if Stundenlohn / 100 * 104 < 8.84 + 0.5 & welle == 2018


*Anteil unter Mindestlohn 2008
tab mark if welle == 2008 & AN == 1 [iw = hhrf_bund]

*Anteil unter Mindestlohn 2013
tab mark if welle == 2013 & AN == 1 [iw = hhrf_bund]

*Anteil unter Mindestlohn 2018
tab mark if welle == 2018 & AN == 1 [iw = hhrf_bund]

*Niedriglohnschwelle
cap gen Niedriglohn = 0 if AN == 1 & Stundenlohn != .
tab Niedriglohn [iw = hhrf_bund]
*2008
sum Stundenlohn if welle == 2008 & AN == 1 [aw = hhrf_bund], detail
replace Niedriglohn = 1 if welle == 2008 & AN == 1 & Stundenlohn <= 2/3 * `r(p50)'
tab Niedriglohn if welle == 2008 & AN == 1 [aw = hhrf_bund]
*2013
sum Stundenlohn if welle == 2013 & AN == 1 [aw = hhrf_bund], detail
replace Niedriglohn = 1 if welle == 2013 & AN == 1 & Stundenlohn <= 2/3 * `r(p50)'
tab Niedriglohn if welle == 2013 & AN == 1 [aw = hhrf_bund]
*2018
sum Stundenlohn if welle == 2018 & AN == 1 [aw = hhrf_bund], detail
replace Niedriglohn = 1 if welle == 2018 & AN == 1 & Stundenlohn <= 2/3 * `r(p50)'
tab Niedriglohn if welle == 2018 & AN == 1 [aw = hhrf_bund]



*HH-Marker bei Person 1 für Haushalts-Variablen
bys hid welle: gen h_mark = _n
tab h_mark if welle == 2013



*Tabelle für SOEP EVS Vergleich, Preise von 2015, Haushalte mit AN zwischen 19 und 65 Jahren (Azbis zählen nicht als AN)

*Haushaltsdaten

putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\EVS_SOEP", sheet(EVS, replace) modify
*nach Jahren, erste Tabelle 2008
putexcel B1 = "EVS 2008"
putexcel C1 = "EVS 2008"
putexcel D1 = "EVS 2013"
putexcel E1 = "EVS 2013"
putexcel F1 = "EVS 2018"
putexcel G1 = "EVS 2018"
putexcel B2 = "Mittelwert"
putexcel C2 = "N"
putexcel D2 = "Mittelwert"
putexcel E2 = "N"
putexcel F2 = "Mittelwert"
putexcel G2 = "N"
putexcel A3 = "Haushaltsdaten"
putexcel A4 = "Brutto Haushaltseinkommen"
putexcel A5 = "Brutto Haushaltseinkommen, OECD-gewichtet"
putexcel A6 = "Brutto Arbeitseinkommen im Haushalt"
putexcel A7 = "Netto Haushaltseinkommen"
putexcel A8 = "Netto Haushaltseinkommen, OECD-gewichtet"
putexcel A9 = "Anzahl der Haushalte, hochgerechnet"
local zeilenzaehler = 4
foreach l of varlist bruttoeinkommen bruttoeinkommen_OECD EK_abh_besch nettoeinkommen nettoeinkommen_OECD{
sum `l' if welle == 2008 & h_mark == 1 & (AN_HH == 1) [aw=hhrf_bund]
local temp  = round(`r(mean)',1)
local temp2 = `r(N)'
putexcel B`zeilenzaehler' = (`temp')
putexcel C`zeilenzaehler' = (`temp2')
sum `l' if welle == 2013 & h_mark == 1 & (AN_HH == 1) [aw=hhrf_bund]
local temp  = round(`r(mean)',1)
local temp2 = `r(N)'
putexcel D`zeilenzaehler' = (`temp')
putexcel E`zeilenzaehler' = (`temp2')
sum `l' if welle == 2018 & h_mark == 1 & (AN_HH == 1) [aw=hhrf_bund]
local temp  = round(`r(mean)',1)
local temp2 = `r(N)'
putexcel F`zeilenzaehler' = (`temp')
putexcel G`zeilenzaehler' = (`temp2')
local zeilenzaehler = `zeilenzaehler' + 1
}
sum h_mark if welle == 2008 & h_mark == 1 & (AN_HH == 1) [aw=hhrf_bund]
putexcel B`zeilenzaehler' = (`r(sum_w)')
putexcel C`zeilenzaehler' = (`r(N)')
sum h_mark if welle == 2013 & h_mark == 1 & (AN_HH == 1) [aw=hhrf_bund]
putexcel D`zeilenzaehler' = (`r(sum_w)')
putexcel E`zeilenzaehler' = (`r(N)')
sum h_mark if welle == 2018 & h_mark == 1 & (AN_HH == 1) [aw=hhrf_bund]
putexcel F`zeilenzaehler' = (`r(sum_w)')
putexcel G`zeilenzaehler' = (`r(N)')
local zeilenzaehler = `zeilenzaehler' + 1



*Personendaten, mit angepasstem Gewicht (für Missings)

putexcel A11 = "Personendaten (Arbeitnehmer)"
putexcel A12 = "Bruttomonatsverdienst"
putexcel A13 = "Vereinbarte Wochenarbeitszeit"
putexcel A14 = "Stundenlohn"
putexcel A15 = "Anteil im Mindestlohnbereich (2018: ML + 0,50€)"
putexcel A16 = "Anteil Niedriglohn (< 2/3 P50)"
putexcel A17 = "Anzahl der Arbeitnehmer, hochgerechnet"
putexcel A18 = "Personendaten (Selbstständige)"
putexcel A19 = "Bruttomonatsverdienst"
putexcel A20 = "Anzahl der Selbstständigen, hochgerechnet"
local zeilenzaehler = 12
foreach l of varlist Monatslohn {
sum `l' if welle == 2008 & AN == 1 [aw=hhrf_bund]
local temp  = round(`r(mean)',1)
local temp2 = `r(N)'
putexcel B`zeilenzaehler' = (`temp')
putexcel C`zeilenzaehler' = (`temp2')
sum `l' if welle == 2013 & AN == 1 [aw=hhrf_bund]
local temp  = round(`r(mean)',1)
local temp2 = `r(N)'
putexcel D`zeilenzaehler' = (`temp')
putexcel E`zeilenzaehler' = (`temp2')
sum `l' if welle == 2018 & AN == 1 [aw=hhrf_bund]
local temp  = round(`r(mean)',1)
local temp2 = `r(N)'
putexcel F`zeilenzaehler' = (`temp')
putexcel G`zeilenzaehler' = (`temp2')
local zeilenzaehler = `zeilenzaehler' + 1
}
foreach l of varlist  Stundenzahl Stundenlohn  {
sum `l' if welle == 2008 & AN == 1 [aw=hhrf_bund]
local temp  = round(`r(mean)',0.01)
local temp2 = `r(N)'
putexcel B`zeilenzaehler' = (`temp')
putexcel C`zeilenzaehler' = (`temp2')
sum `l' if welle == 2013 & AN == 1 [aw=hhrf_bund]
local temp  = round(`r(mean)',0.01)
local temp2 = `r(N)'
putexcel D`zeilenzaehler' = (`temp')
putexcel E`zeilenzaehler' = (`temp2')
sum `l' if welle == 2018 & AN == 1 [aw=hhrf_bund]
local temp  = round(`r(mean)',0.01)
local temp2 = `r(N)'
putexcel F`zeilenzaehler' = (`temp')
putexcel G`zeilenzaehler' = (`temp2')
local zeilenzaehler = `zeilenzaehler' + 1
}
*Mindestlohnbereich, Niedriglohn
local zeilenzaehler = 15
foreach l of varlist  mark Niedriglohn {
sum `l' if welle == 2008 & AN == 1 [aw=hhrf_bund]
local temp  = round(100 * `r(mean)',0.1)
putexcel B`zeilenzaehler' = (`temp')
putexcel C`zeilenzaehler' = (`r(N)')
sum `l' if welle == 2013 & AN == 1 [aw=hhrf_bund]
local temp  = round(100 * `r(mean)',0.1)
putexcel D`zeilenzaehler' = (`temp')
putexcel E`zeilenzaehler' = (`r(N)')
sum `l' if welle == 2018 & AN == 1 [aw=hhrf_bund]
local temp  = round(100 * `r(mean)',0.1)
putexcel F`zeilenzaehler' = (`temp')
putexcel G`zeilenzaehler' = (`r(N)')
local zeilenzaehler = `zeilenzaehler' + 1
}
*Anzahl der AN hochgerechnet
sum AN if welle == 2008 & AN == 1  [aw=hhrf_bund]
putexcel B`zeilenzaehler' = (`r(sum_w)')
putexcel C`zeilenzaehler' = (`r(N)')
sum AN if welle == 2013 & AN == 1  [aw=hhrf_bund]
putexcel D`zeilenzaehler' = (`r(sum_w)')
putexcel E`zeilenzaehler' = (`r(N)')
sum AN if welle == 2018 & AN == 1  [aw=hhrf_bund]
putexcel F`zeilenzaehler' = (`r(sum_w)')
putexcel G`zeilenzaehler' = (`r(N)')
local zeilenzaehler = `zeilenzaehler' + 2

*Personendaten Selbstständige

*Monatsverdienst
sum EK_selbst if welle == 2008 & Selbst == 1  [aw=hhrf_bund]
putexcel B`zeilenzaehler' = (`r(mean)')
putexcel C`zeilenzaehler' = (`r(N)')
sum EK_selbst if welle == 2013 & Selbst == 1  [aw=hhrf_bund]
putexcel D`zeilenzaehler' = (`r(mean)')
putexcel E`zeilenzaehler' = (`r(N)')
sum EK_selbst if welle == 2018 & Selbst == 1  [aw=hhrf_bund]
putexcel F`zeilenzaehler' = (`r(mean)')
putexcel G`zeilenzaehler' = (`r(N)')
local zeilenzaehler = `zeilenzaehler' + 1

*Anzahl der Selbstständigen hochgerechnet
sum Selbst if welle == 2008 & Selbst == 1  [aw=hhrf_bund]
putexcel B`zeilenzaehler' = (`r(sum_w)')
putexcel C`zeilenzaehler' = (`r(N)')
sum Selbst if welle == 2013 & Selbst == 1  [aw=hhrf_bund]
putexcel D`zeilenzaehler' = (`r(sum_w)')
putexcel E`zeilenzaehler' = (`r(N)')
sum Selbst if welle == 2018 & Selbst == 1  [aw=hhrf_bund]
putexcel F`zeilenzaehler' = (`r(sum_w)')
putexcel G`zeilenzaehler' = (`r(N)')
local zeilenzaehler = `zeilenzaehler' + 1



*Ostdeutschland Tabelle

*Anzahl der AN hochgerechnet
sum AN if welle == 2008 & AN == 1  [aw=hhrf_bund]
putexcel B`zeilenzaehler' = (`r(sum_w)')
putexcel C`zeilenzaehler' = (`r(N)')
sum AN if welle == 2013 & AN == 1  [aw=hhrf_bund]
putexcel D`zeilenzaehler' = (`r(sum_w)')
putexcel E`zeilenzaehler' = (`r(N)')
sum AN if welle == 2018 & AN == 1  [aw=hhrf_bund]
putexcel F`zeilenzaehler' = (`r(sum_w)')
putexcel G`zeilenzaehler' = (`r(N)')
local zeilenzaehler = `zeilenzaehler' + 2
*Anzahl der Selbstständigen hochgerechnet
sum Selbst if welle == 2008 & Selbst == 1  [aw=hhrf_bund]
putexcel B`zeilenzaehler' = (`r(sum_w)')
putexcel C`zeilenzaehler' = (`r(N)')
sum Selbst if welle == 2013 & Selbst == 1  [aw=hhrf_bund]
putexcel D`zeilenzaehler' = (`r(sum_w)')
putexcel E`zeilenzaehler' = (`r(N)')
sum Selbst if welle == 2018 & Selbst == 1  [aw=hhrf_bund]
putexcel F`zeilenzaehler' = (`r(sum_w)')
putexcel G`zeilenzaehler' = (`r(N)')
local zeilenzaehler = `zeilenzaehler' + 1

