

global datadir 		"I:/2021 MLK E-012/EVS Daten Imputation/" 

	
*2008

*neue imputierte Variablen für merge vorbereiten
use "$datadir/EVS2008_AAGSHB_prep_HH.dta", clear
*konsum5 möbel konsum7 verkehr konsum9 freizeit unterhaltung
sum konsum5 konsum5new konsum7 konsum7new konsum9 konsum9new cons c_imp [iw = hhrf_bund]
rename  hid EF2U2
*Durch imputation modifizierte Konsumvariablen
local consumption "cons c_imp konsum1 konsum2 konsum3 konsum4 konsum5new konsum6 konsum7new konsum8 konsum9new konsum10 konsum11 konsum12" 
*Soziodem für HH Vorstand
local soziodem "female gebjahr age age2"
*5 Haushaltstypen hhtype mit labels
keep EF2U2 `consumption' `soziodem' earn_net_hh save save_imp oecd_weight hhtype hhrf_bund
sort EF2U2
save "$datadir/EVS2008_merge.dta", replace

*load prepared data set
global evsdir		"I:/Datensaetze_Rohdaten/suf_evs_2008_aagshb_gf3_slr/daten/" 
use "${evsdir}evs_2008.dta", clear
sort EF2U2
merge EF2U2 using "$datadir/EVS2008_merge.dta"
drop _merge

*Variable Jahr
gen welle = 2008

*Bundesland noch mit Berlin Ost/West
rename EF2U1 bundesland
tab bundesland
*Berlin Ost und West zusammenfassen (auf West legen)
replace bundesland = 11 if bundesland == 17

*Haushaltsgröße
rename EF7 HH_groesse

*Haushaltstyp Kinder unter 18 Jahre
rename EF36 hhtyp_08
tab hhtyp_08

*Haushaltsbrutto
rename EF57 earn_gross_hh 
sum earn_gross_hh [iw = hhrf_bund]

save "$datadir/evs_2008_imputiert.dta", replace



*2013
	
*neue imputierte Variablen für merge vorbereiten
use "$datadir/EVS2013_AAGSHB_prep_HH.dta", clear
*konsum5 möbel konsum7 verkehr konsum9 freizeit unterhaltung
sum konsum5 konsum5new konsum7 konsum7new konsum9 konsum9new cons c_imp [iw = hhrf_bund]
rename  hid EF2U2
*Durch imputation modifizierte Konsumvariablen
local consumption "cons c_imp konsum1 konsum2 konsum3 konsum4 konsum5new konsum6 konsum7new konsum8 konsum9new konsum10 konsum11 konsum12" 
*Soziodem für HH Vorstand
local soziodem "female gebjahr age age2"
*5 Haushaltstypen hhtype mit labels
keep EF2U2 `consumption' `soziodem' earn_net_hh save save_imp oecd_weight hhtype hhrf_bund
sort EF2U2
save "$datadir/EVS2013_merge.dta", replace

*load prepared data set
global evsdir		"I:/Datensaetze_Rohdaten/suf_evs_2013_aagshb_gf3_slr/daten/" 
use "${evsdir}evs_2013.dta", clear
sort EF2U2
merge EF2U2 using "$datadir/EVS2013_merge.dta"
drop _merge

*Variable Jahr
gen welle = 2013

*Bundesland noch mit Berlin Ost/West
rename EF2U1 bundesland
tab bundesland

*Ersparnis
rename EF105 ersparnis_evs

*Haushaltsgröße
rename EF7 HH_groesse

*Haushaltstyp Kinder unter 18 Jahre
rename EF39 hhtyp_13
tab hhtyp_13

*Haushaltsbrutto inkl. AG-Zuschüsse
sum EF60
sum EF61
rename EF61 earn_gross_hh 
sum earn_gross_hh [iw = hhrf_bund]

save "$datadir/evs_2013_imputiert.dta", replace


*2018

global evsdir		"I:/Datensaetze_Rohdaten/suf_evs_2018_aagshb_gf3_slr/daten/" 
	
*neue imputierte Variablen für merge vorbereiten
use "$datadir/EVS2018_AAGSHB_prep_HH.dta", clear
*konsum5 möbel konsum7 verkehr konsum9 freizeit unterhaltung
sum konsum5 konsum5new konsum7 konsum7new konsum9 konsum9new cons c_imp [iw = hhrf_bund]
rename  hid EF2U2
*Durch imputation modifizierte Konsumvariablen
local consumption "cons c_imp konsum1 konsum2 konsum3 konsum4 konsum5new konsum6 konsum7new konsum8 konsum9new konsum10 konsum11 konsum12" 
*Variablen für die UQR
*Soziodem für HH Vorstand
local soziodem "female gebjahr age age2"
*5 Haushaltstypen hhtype mit labels
keep EF2U2 `consumption' `soziodem' earn_net_hh save save_imp oecd_weight hhtype hhrf_bund
sort EF2U2
save "$datadir/EVS2018_merge.dta", replace

*load prepared data set
use "${evsdir}evs_2018.dta", clear
sort EF2U2
merge EF2U2 using "$datadir/EVS2018_merge.dta"
drop _merge

*Variable Jahr
gen welle = 2018

*Bundesland noch mit Berlin Ost/West
rename EF2U1 bundesland
tab bundesland

*Ersparnis
rename EF105 ersparnis_evs 

*Haushaltsgröße
rename EF7 HH_groesse

*Haushaltstyp Kinder unter 18 Jahre
rename EF39 hhtyp_18
tab hhtyp_18

*Haushaltsbrutto inkl. AG-Zuschüsse
rename EF61 earn_gross_hh 


save "$datadir/evs_2018_imputiert.dta", replace



*use "$datadir/evs_2018_imputiert.dta", clear



