


*** Working Directories ***
global datadir "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\EVS Daten Arbeitsverzeichnis z. Rohdaten/" 
global log "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\Tabellen/" 
set linesize 180

*Zeitscheiben aneinander hängen

use "$datadir/UQR_Datensatz_Personen.dta", clear

*UQRs Einkommen und Konsum

*Globals setzen

*Alter: Referenzkategorie 30-40 rausgelassen
global altersvar `"age_u30  age_40_50 age_50_65 age_ab_66"'
global regressionsvar_hh `"single_frau single_mann alleinerz paar_o_kind_alleinverd paar_o_kind_mehrverd paar_m_kind_alleinverd paar_m_kind_mehrverd"' 

*DiD Vars
global did_bite_vse `"bite_vse dummy_13 dummy_18 did_vse_13 did_vse_18"'
global did_bite_EVS `"bite_EVS dummy_13 dummy_18 did_EVS_13 did_EVS_18"'

*DiD Vars mit Trendbite
global did_bite_vse_trend `"bite_vse dummy_13 dummy_18 trendbyte_vse did_vse_18"'
global did_bite_evs_trend `"bite_EVS dummy_13 dummy_18 trendbyte_EVS did_EVS_18"'

*Rif Beschreibung mit Cluster Option: https://journals.sagepub.com/doi/full/10.1177/1536867X20909690
*Rif Paket zum Clustern installieren
*ssc install rif
*Code kommt von Autor von Paper oben

*Code für Schleife mit Gewicht, aber mit Problem, dass keine Cluster Fehler berechnet werden können:
*local q = `i' / 100
*rifreg log_hh_inc_oecd $did_bite_vse $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`q') 
*Die Haushalte mit den größeren Gewichten haben eher geringere Einkommen

*DESWEGEN WURDEN CLUSTER BOOTSTRAPS IN DATEI ZUVOR DURCHGEFÜHRT
*Damit lässt sich dann eine gewichtete Schätzung z.B. 200 mal durchführen

*Verteilung der Einkommen für Plausibilisierung der Punktschätzer
sum log_bruttoeinkommen_OECD [aw = hhrf_bund], detail
sum log_nettoeinkommen_OECD [aw = hhrf_bund], detail

*Unterschied Bite
tab bundesland

*Mindestlohnbite Gesamtdeutschland 2018
sum bite_vse if welle == 2018 & AN == 1  [aw = hhrf_bund]

*Mindestlohnbite Ostdeutschland 2018
sum bite_vse if welle == 2018 & AN == 1  & bundesland >= 12 & bundesland <= 16 [aw = hhrf_bund]






*UQRs Brutto Einkommen

*UNTERSCHIEDE ZU MLK 012:
*  Übergang von Haushalten zu Personen
*  Nicht mehr nur Arbeitnehmerhaushalte
*  Azubis für 2013 und 2018 so approximiert wie 2008: unter 18 Jährige oder unter 22 und keine Ausbildung
*  Nebenjobs repariert (Minijobs)

*Wie viele HH-Mitglieder insgesamt
sum Alter if welle == 2008 [aw = hhrf_bund]


*wie viele AN?
sum AN if welle == 2008 [aw = hhrf_bund]
sum AN if welle == 2013 [aw = hhrf_bund]
sum AN if welle == 2018 [aw = hhrf_bund]

*Wie viele Beamte
sum Beamte if welle == 2008 [aw = hhrf_bund]
sum Beamte if welle == 2013 [aw = hhrf_bund]
sum Beamte if welle == 2018 [aw = hhrf_bund]

*Wie viele Minijobs
sum minijob if welle == 2008 [aw = hhrf_bund]
sum minijob if welle == 2013 [aw = hhrf_bund]
sum minijob if welle == 2018 [aw = hhrf_bund]

*Anzahl Beobachtungen Monatslohn
sum Monatslohn if AN == 1 & welle == 2008 [aw = hhrf_bund]
sum Monatslohn if AN == 1 & welle == 2013 [aw = hhrf_bund]
sum Monatslohn if AN == 1 & welle == 2018 [aw = hhrf_bund]

*Anzahl Beobachtungen EK_abh_besch
sum EK_abh_besch if AN == 1 & welle == 2008 [aw = hhrf_bund]
sum EK_abh_besch if AN == 1 & welle == 2013 [aw = hhrf_bund]
sum EK_abh_besch if AN == 1 & welle == 2018 [aw = hhrf_bund]


*Die Zahlen scheinen nach oben verzerrt zu sein, möglicherweise ein Problem der Gewichtung


*Anzahl der Beobachtungen insgesamt
sum Alter [aw = hhrf_bund]
sum AN [aw = hhrf_bund]
*Anteil der AN an den Beobachtungen: ca. 68%
di 105.67/155.22
*Anteil der Selbständigen:
sum Selbst [aw = hhrf_bund]
di 9.3315/155.22
*Inaktive und Azubis sind also zusammen ca. 1/4 in der Altersgruppe 19 - 65

*Plan der Auswertungen:
* 1. nur Arbeitnehmer im Alter 18...65





*2. HH-Einkommen aus Gehältern

*VSE
*Alle Arbeitnehmer zw. 18 und 65 Jahren 
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_18_65_Punktschätzer", sheet(HH-Arbeits-EK VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * Trend"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_EK_abh_besch_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 10
}

*EVS
*Alle Arbeitnehmer zw. 18 und 65 Jahren 
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_18_65_Punktschätzer", sheet(HH-Arbeits-EK EVS, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "EVS bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "EVS bite * Trend"
putexcel F1 = "EVS bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_EK_abh_besch_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}

*3. Bruttoeinkommen 

*VSE Bite
*Alle Arbeitnehmer zw. 18 und 65 Jahren 
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_18_65_Punktschätzer", sheet(Bruttoeinkommen VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * Trend"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_bruttoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 200
}

*VSE Bite, ohne Trend (Reviewer)
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_oTrend_Punktschätzer", sheet(Bruttoeinkommen VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * dummy 2013"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_bruttoeinkommen_OECD $did_bite_vse $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 200
}

*EVS Bite
*Alle Arbeitnehmer
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_18_65_Punktschätzer", sheet(Bruttoeinkommen EVS, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "EVS bite * Trend"
putexcel F1 = "EVS bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_bruttoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 200
}


*4. Nettoeinkommen 

*VSE Bite
*Alle Arbeitnehmer zw. 18 und 65 Jahren 
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_18_65_Punktschätzer", sheet(Nettoeinkommen VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * Trend"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_nettoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 200
}

*VSE Bite, ohne Trend (Reviewer)
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_oTrend_Punktschätzer", sheet(Nettoeinkommen VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * dummy 2013"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_nettoeinkommen_OECD $did_bite_vse $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 200
}

*EVS Bite
*Alle Arbeitnehmer
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\\Tabellen\UQR_Alle_18_65_Punktschätzer", sheet(Nettoeinkommen EVS, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "EVS bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "EVS bite * Trend"
putexcel F1 = "EVS bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_nettoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}



*Bootstrap

use "$datadir/UQR_Datensatz_Personen_Bootstrap.dta", clear

*1. Gehälter 


*2. HH-Einkommen aus Arbeit 

*VSE Bite
capture log using "$log/Alle_18_65_HH-EK-Arbeit_Bootstrap_VSE.log", text replace
*UQR mit VSE Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_EK_abh_besch_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close

*EVS Bite
capture log using "$log/Alle_18_65_HH-EK-Arbeit_Bootstrap_EVS.log", text replace
*UQR mit EVS Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_EK_abh_besch_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close

*3. Bruttoeinkommen 

*VSE Bite
capture log close
capture log using "$log/Alle_18_65_Brutto_Bootstrap_VSE.log", text replace
*UQR mit VSE Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_bruttoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close



*VSE Bite ohne Trend
capture log close
capture log using "$log/Alle_18_65_Brutto_oTrend_VSE.log", text replace
*UQR mit VSE Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_bruttoeinkommen_OECD $did_bite_vse $altersvar $regressionsvar_hh log_bip_l2 [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close


*EVS Bite
capture log using "$log/Alle_18_65_Brutto_Bootstrap_EVS.log", text replace
*UQR mit EVS Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_bruttoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close


*4. Nettoeinkommen

*VSE Bite
capture log using "$log/Alle_18_65_Netto_Bootstrap_VSE.log", text replace
*UQR mit VSE Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_nettoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close
*EVS Bite
capture log using "$log/Alle_18_65_Netto_Bootstrap_EVS.log", text replace
*UQR mit EVS Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_nettoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close
