

global datadir 		"C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\Artikel etc. Arbeitsverzeichnisse\2023 Journal of Economics and Statistics MW\EVS Daten Arbeitsverzeichnis z. Rohdaten/" 

set linesize 180

*Globals setzen
*Durch imputation modifizierte Konsumvariablen
global consumption "cons c_imp konsum1 konsum2 konsum3 konsum4 konsum5new konsum6 konsum7new konsum8 konsum9new konsum10 konsum11 konsum12" 

*Variablen für die UQR
*Soziodem für HH Vorstand
global soziodem "female gebjahr age age2 "


*Personendatensatz erstellen
*2008
use "$datadir/EVS2008.dta", clear
sum hhrf_bund, detail
tab HH_groesse
*replace hhrf_bund = hhrf_bund * HH_groesse
*hid
rename EF2U2 hid
*ALG II
cap gen alg_ii_hh = 1 if EF127U1 != 0 | EF127U2 != 0 | EF127U3 != 0 
tab alg_ii_hh
*Personendaten schreiben
expand 6
by hid, sort: gen n1 = _n
*Alter umschreiben
gen Alter = Alter_1 if n1 == 1
replace Alter = Alter_2 if n1 == 2
replace Alter = Alter_3 if n1 == 3
replace Alter = Alter_4 if n1 == 4
replace Alter = Alter_5 if n1 == 5
replace Alter = Alter_6 if n1 == 6
replace Alter = 2008 - Alter
tab Alter
keep if Alter != .
*kommt die Gewichtssumme hin?
sum Alter [aw = hhrf_bund]
*Personen im Alter 18...65
gen Alter1865 = Alter1865_1 if n1 == 1
replace Alter1865 = Alter1865_2 if n1 == 2
replace Alter1865 = Alter1865_3 if n1 == 3
replace Alter1865 = Alter1865_4 if n1 == 4
replace Alter1865 = Alter1865_5 if n1 == 5
replace Alter1865 = Alter1865_6 if n1 == 6
tab Alter1865
keep if Alter1865 == 1
*Stundenlohn
gen Monatslohn = Monatslohn_1 if n1 == 1
replace Monatslohn = Monatslohn_2 if n1 == 2
replace Monatslohn = Monatslohn_3 if n1 == 3
replace Monatslohn = Monatslohn_4 if n1 == 4
replace Monatslohn = Monatslohn_5 if n1 == 5
replace Monatslohn = Monatslohn_6 if n1 == 6
sum Monatslohn
*Stundenlohn
gen Stundenlohn = Stundenlohn_1 if n1 == 1
replace Stundenlohn = Stundenlohn_2 if n1 == 2
replace Stundenlohn = Stundenlohn_3 if n1 == 3
replace Stundenlohn = Stundenlohn_4 if n1 == 4
replace Stundenlohn = Stundenlohn_5 if n1 == 5
replace Stundenlohn = Stundenlohn_6 if n1 == 6
sum Stundenlohn
*Stundenzahl
gen Stundenzahl = Stundenzahl_1 if n1 == 1
replace Stundenzahl = Stundenzahl_2 if n1 == 2
replace Stundenzahl = Stundenzahl_3 if n1 == 3
replace Stundenzahl = Stundenzahl_4 if n1 == 4
replace Stundenzahl = Stundenzahl_5 if n1 == 5
replace Stundenzahl = Stundenzahl_6 if n1 == 6
sum Stundenzahl
*Geschlecht
gen Geschlecht = Geschlecht_1 if n1 == 1
replace Geschlecht = Geschlecht_2 if n1 == 2
replace Geschlecht = Geschlecht_3 if n1 == 3
replace Geschlecht = Geschlecht_4 if n1 == 4
replace Geschlecht = Geschlecht_5 if n1 == 5
replace Geschlecht = Geschlecht_6 if n1 == 6
tab Geschlecht [aw = hhrf_bund]
*Es gibt 53,2% Frauen!
*Azibis
gen Azubi = Azubi_1 if n1 == 1
replace Azubi = Azubi_2 if n1 == 2
replace Azubi = Azubi_3 if n1 == 3
replace Azubi = Azubi_4 if n1 == 4
replace Azubi = Azubi_5 if n1 == 5
replace Azubi = Azubi_6 if n1 == 6
tab Azubi
*AN
gen AN = AN_1 if n1 == 1
replace AN = AN_2 if n1 == 2
replace AN = AN_3 if n1 == 3
replace AN = AN_4 if n1 == 4
replace AN = AN_5 if n1 == 5
replace AN = AN_6 if n1 == 6
replace AN = . if Azubi == 1
tab AN
*Beamte
gen Beamte = Beamte_1 if n1 == 1
replace Beamte = Beamte_2 if n1 == 2
replace Beamte = Beamte_3 if n1 == 3
replace Beamte = Beamte_4 if n1 == 4
replace Beamte = Beamte_5 if n1 == 5
replace Beamte = Beamte_6 if n1 == 6
replace Beamte = . if Azubi == 1
tab Beamte
*Haushalte mit Arbeitnehmern
cap gen AN_HH = 1 if AN_1 == 1 | AN_2 == 1 | AN_3 == 1 | AN_4 == 1 | AN_5 == 1 | AN_6 == 1
*Selbstständige
gen Selbst = Selbst_1 if n1 == 1
replace Selbst = Selbst_2 if n1 == 2
replace Selbst = Selbst_3 if n1 == 3
replace Selbst = Selbst_4 if n1 == 4
replace Selbst = Selbst_5 if n1 == 5
replace Selbst = Selbst_6 if n1 == 6
tab Selbst
*Haushalte mit Selbstständigen
cap gen Selbst_HH = 1 if Selbst_1 == 1 | Selbst_2 == 1 | Selbst_3 == 1 | Selbst_4 == 1 | Selbst_5 == 1 | Selbst_6 == 1
*Minijob 
gen minijob1 = Minijob1_1 if n1 == 1
replace minijob1 = Minijob1_2 if n1 == 2
replace minijob1 = Minijob1_3 if n1 == 3
replace minijob1 = Minijob1_4 if n1 == 4
replace minijob1 = Minijob1_5 if n1 == 5
replace minijob1 = Minijob1_6 if n1 == 6
tab minijob1
gen minijob2 = Minijob2_1 if n1 == 1
replace minijob2 = Minijob2_2 if n1 == 2
replace minijob2 = Minijob2_3 if n1 == 3
replace minijob2 = Minijob2_4 if n1 == 4
replace minijob2 = Minijob2_5 if n1 == 5
replace minijob2 = Minijob2_6 if n1 == 6
replace minijob2 = . if Monatslohn > 450
tab minijob2
gen minijob3 = Minijob3_1 if n1 == 1
replace minijob3 = Minijob3_2 if n1 == 2
replace minijob3 = Minijob3_3 if n1 == 3
replace minijob3 = Minijob3_4 if n1 == 4
replace minijob3 = Minijob3_5 if n1 == 5
replace minijob3 = Minijob3_6 if n1 == 6
replace minijob3 = . if Monatslohn > 450
tab minijob3
gen minijob4 = Minijob4_1 if n1 == 1
replace minijob4 = Minijob4_2 if n1 == 2
replace minijob4 = Minijob4_3 if n1 == 3
replace minijob4 = Minijob4_4 if n1 == 4
replace minijob4 = Minijob4_5 if n1 == 5
replace minijob4 = Minijob4_6 if n1 == 6
replace minijob4 = . if Monatslohn > 450
tab minijob4
cap gen minijob = 1 if minijob1 == 1 | minijob2 == 1 | minijob3 == 1 | minijob4 == 1
tab minijob
replace Azubi = . if minijob == 1
sum Monatslohn if minijob == 1 [aw = hhrf_bund]
*Variablen für deskriptive Tabellen
rename EF50 Brutto_abh_besch
rename EF51 Brutto_selbst
rename EF54 Brutto_ekvermoegen
rename EF55 Einnahmen_oeff_transfers
*Unterstellte Miete Einnahmenseite
*(Netto)Mietwert von Eigentümerwohnungen, -häusern, Garagen und Stellplätzen (einschließlich Vorzeichen + und -) Code-Nr. 0021200
rename EF156 unterstellte_miete
*Nutzungsart Hauptwohnung
rename EF19 Hauptwohnung
*Unterstellte Mieten 
sum EF65
rename EF65 imp_rent
*nur wichtige variablen behalten
keep hid welle Alter $consumption $soziodem earn_net_hh earn_gross_hh save save_imp oecd_weight hhtype hhrf_bund ///
HH_groesse bundesland Monatslohn Stundenlohn Stundenzahl Geschlecht AN Beamte AN_HH Azubi Selbst Selbst_HH Alter Alter1865 minijob /// 
Brutto_abh_besch Einnahmen_oeff_transfers Brutto_selbst Brutto_ekvermoegen  unterstellte_miete alg_ii_hh ///
hhtyp_08 Hauptwohnung imp_rent
save "$datadir/EVS2008_Personen.dta", replace




*2013
use "$datadir/EVS2013.dta", clear
*hid
rename EF2U2 hid
*ALG II
cap gen alg_ii_hh = 1 if EF149U1 != 0 | EF149U2 != 0 | EF149U3 != 0 
tab alg_ii_hh
*Personendaten schreiben
expand 6
by hid, sort: gen n1 = _n
*Alter umschreiben
gen Alter = Alter_1 if n1 == 1
replace Alter = Alter_2 if n1 == 2
replace Alter = Alter_3 if n1 == 3
replace Alter = Alter_4 if n1 == 4
replace Alter = Alter_5 if n1 == 5
replace Alter = Alter_6 if n1 == 6
replace Alter = 2013 - Alter
tab Alter
keep if Alter != .
*kommt die Gewichtssumme hin?
sum Alter [aw = hhrf_bund]
*Personen im Alter 18...65
gen Alter1865 = Alter1865_1 if n1 == 1
replace Alter1865 = Alter1865_2 if n1 == 2
replace Alter1865 = Alter1865_3 if n1 == 3
replace Alter1865 = Alter1865_4 if n1 == 4
replace Alter1865 = Alter1865_5 if n1 == 5
replace Alter1865 = Alter1865_6 if n1 == 6
tab Alter1865
keep if Alter1865 == 1
*Stundenlohn
gen Monatslohn = Monatslohn_1 if n1 == 1
replace Monatslohn = Monatslohn_2 if n1 == 2
replace Monatslohn = Monatslohn_3 if n1 == 3
replace Monatslohn = Monatslohn_4 if n1 == 4
replace Monatslohn = Monatslohn_5 if n1 == 5
replace Monatslohn = Monatslohn_6 if n1 == 6
sum Monatslohn
*Stundenlohn
gen Stundenlohn = Stundenlohn_1 if n1 == 1
replace Stundenlohn = Stundenlohn_2 if n1 == 2
replace Stundenlohn = Stundenlohn_3 if n1 == 3
replace Stundenlohn = Stundenlohn_4 if n1 == 4
replace Stundenlohn = Stundenlohn_5 if n1 == 5
replace Stundenlohn = Stundenlohn_6 if n1 == 6
sum Stundenlohn
*Stundenzahl
gen Stundenzahl = Stundenzahl_1 if n1 == 1
replace Stundenzahl = Stundenzahl_2 if n1 == 2
replace Stundenzahl = Stundenzahl_3 if n1 == 3
replace Stundenzahl = Stundenzahl_4 if n1 == 4
replace Stundenzahl = Stundenzahl_5 if n1 == 5
replace Stundenzahl = Stundenzahl_6 if n1 == 6
sum Stundenzahl
*Geschlecht
gen Geschlecht = Geschlecht_1 if n1 == 1
replace Geschlecht = Geschlecht_2 if n1 == 2
replace Geschlecht = Geschlecht_3 if n1 == 3
replace Geschlecht = Geschlecht_4 if n1 == 4
replace Geschlecht = Geschlecht_5 if n1 == 5
replace Geschlecht = Geschlecht_6 if n1 == 6
tab Geschlecht [aw = hhrf_bund]
*Azibis
gen Azubi = Azubi_1 if n1 == 1
replace Azubi = Azubi_2 if n1 == 2
replace Azubi = Azubi_3 if n1 == 3
replace Azubi = Azubi_4 if n1 == 4
replace Azubi = Azubi_5 if n1 == 5
replace Azubi = Azubi_6 if n1 == 6
tab Azubi
*AN
gen AN = AN_1 if n1 == 1
replace AN = AN_2 if n1 == 2
replace AN = AN_3 if n1 == 3
replace AN = AN_4 if n1 == 4
replace AN = AN_5 if n1 == 5
replace AN = AN_6 if n1 == 6
replace AN = . if Azubi == 1
tab AN
*Beamte
gen Beamte = Beamte_1 if n1 == 1
replace Beamte = Beamte_2 if n1 == 2
replace Beamte = Beamte_3 if n1 == 3
replace Beamte = Beamte_4 if n1 == 4
replace Beamte = Beamte_5 if n1 == 5
replace Beamte = Beamte_6 if n1 == 6
replace Beamte = . if Azubi == 1
tab Beamte
*Haushalte mit Arbeitnehmern
cap gen AN_HH = 1 if AN_1 == 1 | AN_2 == 1 | AN_3 == 1 | AN_4 == 1 | AN_5 == 1 | AN_6 == 1
*Selbstständige
gen Selbst = Selbst_1 if n1 == 1
replace Selbst = Selbst_2 if n1 == 2
replace Selbst = Selbst_3 if n1 == 3
replace Selbst = Selbst_4 if n1 == 4
replace Selbst = Selbst_5 if n1 == 5
replace Selbst = Selbst_6 if n1 == 6
tab Selbst
*Haushalte mit Selbstständigen
cap gen Selbst_HH = 1 if Selbst_1 == 1 | Selbst_2 == 1 | Selbst_3 == 1 | Selbst_4 == 1 | Selbst_5 == 1 | Selbst_6 == 1
*Minijob 
gen minijob = Minijob_1 if n1 == 1
replace minijob = Minijob_2 if n1 == 2
replace minijob = Minijob_3 if n1 == 3
replace minijob = Minijob_4 if n1 == 4
replace minijob = Minijob_5 if n1 == 5
replace minijob = Minijob_6 if n1 == 6
tab minijob
replace Azubi = . if minijob == 1
*Variablen für deskriptive Tabellen
rename EF51 Brutto_abh_besch
rename EF52 Brutto_selbst
rename EF55 Brutto_ekvermoegen
rename EF56 Einnahmen_oeff_transfers
rename EF179 unterstellte_miete
*Nutzungsart Hauptwohnung
rename EF20 Hauptwohnung
*Unterstellte Mieten 
sum EF77
rename EF77 imp_rent
*nur wichtige variablen behalten
keep hid welle Alter $consumption $soziodem earn_net_hh earn_gross_hh save save_imp oecd_weight hhtype hhrf_bund ///
HH_groesse bundesland Monatslohn Stundenlohn Stundenzahl Geschlecht AN Beamte AN_HH Azubi Selbst Selbst_HH Alter Alter1865 minijob /// 
Brutto_abh_besch Einnahmen_oeff_transfers Brutto_selbst Brutto_ekvermoegen  unterstellte_miete alg_ii_hh ///
hhtyp_13 Hauptwohnung imp_rent
save "$datadir/EVS2013_Personen.dta", replace



*2018
use "$datadir/EVS2018.dta", clear
*hid
rename EF2U2 hid
*ALG II
cap gen alg_ii_hh = 1 if EF149U1 != 0 | EF149U2 != 0 | EF149U3 != 0 
tab alg_ii_hh
*Personendaten schreiben
expand 6
by hid, sort: gen n1 = _n
*Alter umschreiben
gen Alter = Alter_1 if n1 == 1
replace Alter = Alter_2 if n1 == 2
replace Alter = Alter_3 if n1 == 3
replace Alter = Alter_4 if n1 == 4
replace Alter = Alter_5 if n1 == 5
replace Alter = Alter_6 if n1 == 6
replace Alter = 2018 - Alter
tab Alter
keep if Alter != .
*kommt die Gewichtssumme hin?
sum Alter [aw = hhrf_bund]
*Personen im Alter 18...65
gen Alter1865 = Alter1865_1 if n1 == 1
replace Alter1865 = Alter1865_2 if n1 == 2
replace Alter1865 = Alter1865_3 if n1 == 3
replace Alter1865 = Alter1865_4 if n1 == 4
replace Alter1865 = Alter1865_5 if n1 == 5
replace Alter1865 = Alter1865_6 if n1 == 6
tab Alter1865
keep if Alter1865 == 1
*Stundenlohn
gen Monatslohn = Monatslohn_1 if n1 == 1
replace Monatslohn = Monatslohn_2 if n1 == 2
replace Monatslohn = Monatslohn_3 if n1 == 3
replace Monatslohn = Monatslohn_4 if n1 == 4
replace Monatslohn = Monatslohn_5 if n1 == 5
replace Monatslohn = Monatslohn_6 if n1 == 6
sum Monatslohn
*Stundenlohn
gen Stundenlohn = Stundenlohn_1 if n1 == 1
replace Stundenlohn = Stundenlohn_2 if n1 == 2
replace Stundenlohn = Stundenlohn_3 if n1 == 3
replace Stundenlohn = Stundenlohn_4 if n1 == 4
replace Stundenlohn = Stundenlohn_5 if n1 == 5
replace Stundenlohn = Stundenlohn_6 if n1 == 6
sum Stundenlohn
*Stundenzahl
gen Stundenzahl = Stundenzahl_1 if n1 == 1
replace Stundenzahl = Stundenzahl_2 if n1 == 2
replace Stundenzahl = Stundenzahl_3 if n1 == 3
replace Stundenzahl = Stundenzahl_4 if n1 == 4
replace Stundenzahl = Stundenzahl_5 if n1 == 5
replace Stundenzahl = Stundenzahl_6 if n1 == 6
sum Stundenzahl
*Azibis
gen Azubi = Azubi_1 if n1 == 1
replace Azubi = Azubi_2 if n1 == 2
replace Azubi = Azubi_3 if n1 == 3
replace Azubi = Azubi_4 if n1 == 4
replace Azubi = Azubi_5 if n1 == 5
replace Azubi = Azubi_6 if n1 == 6
tab Azubi
*AN
gen AN = AN_1 if n1 == 1
replace AN = AN_2 if n1 == 2
replace AN = AN_3 if n1 == 3
replace AN = AN_4 if n1 == 4
replace AN = AN_5 if n1 == 5
replace AN = AN_6 if n1 == 6
replace AN = . if Azubi == 1
tab AN
*Beamte
gen Beamte = Beamte_1 if n1 == 1
replace Beamte = Beamte_2 if n1 == 2
replace Beamte = Beamte_3 if n1 == 3
replace Beamte = Beamte_4 if n1 == 4
replace Beamte = Beamte_5 if n1 == 5
replace Beamte = Beamte_6 if n1 == 6
replace Beamte = . if Azubi == 1
tab Beamte
*Haushalte mit Arbeitnehmern
cap gen AN_HH = 1 if AN_1 == 1 | AN_2 == 1 | AN_3 == 1 | AN_4 == 1 | AN_5 == 1 | AN_6 == 1
*Selbstständige
gen Selbst = Selbst_1 if n1 == 1
replace Selbst = Selbst_2 if n1 == 2
replace Selbst = Selbst_3 if n1 == 3
replace Selbst = Selbst_4 if n1 == 4
replace Selbst = Selbst_5 if n1 == 5
replace Selbst = Selbst_6 if n1 == 6
tab Selbst
*Haushalte mit Selbstständigen
cap gen Selbst_HH = 1 if Selbst_1 == 1 | Selbst_2 == 1 | Selbst_3 == 1 | Selbst_4 == 1 | Selbst_5 == 1 | Selbst_6 == 1
*Minijob 
gen minijob = Minijob_1 if n1 == 1
replace minijob = Minijob_2 if n1 == 2
replace minijob = Minijob_3 if n1 == 3
replace minijob = Minijob_4 if n1 == 4
replace minijob = Minijob_5 if n1 == 5
replace minijob = Minijob_6 if n1 == 6
tab minijob
replace Azubi = . if minijob == 1
*Variablen für deskriptive Tabellen
rename EF51 Brutto_abh_besch
rename EF52 Brutto_selbst
rename EF55 Brutto_ekvermoegen
rename EF56 Einnahmen_oeff_transfers
rename EF179 unterstellte_miete
*Nutzungsart Hauptwohnung
rename EF20 Hauptwohnung
*Unterstellte Mieten 
sum EF77
rename EF77 imp_rent
*nur wichtige variablen behalten
keep hid welle Alter $consumption $soziodem earn_net_hh earn_gross_hh save save_imp oecd_weight hhtype hhrf_bund ///
HH_groesse bundesland Monatslohn Stundenlohn Stundenzahl AN Beamte AN_HH Azubi Selbst Selbst_HH Alter Alter1865 minijob /// 
Brutto_abh_besch Einnahmen_oeff_transfers Brutto_selbst Brutto_ekvermoegen  unterstellte_miete alg_ii_hh ///
hhtyp_18 Hauptwohnung imp_rent
save "$datadir/EVS2018_Personen.dta", replace









*Zeitscheiben aneinander hängen
use "$datadir/EVS2008_Personen.dta", clear
append using "$datadir/EVS2013_Personen.dta"
append using "$datadir/EVS2018_Personen.dta"

*Ostdeutschland anlegen
tab bundesland
cap gen ostdeutschland = 1 if bundesland >= 12 & bundesland <= 16
replace ostdeutschland = 0 if ostdeutschland != 1
tab ostdeutschland

*Stundenzahl 0 auf missing setzen
replace Stundenzahl = . if Stundenzahl == 0
replace Stundenzahl = 48 if Stundenzahl > 48 & Stundenzahl != .


*Entwicklung der Zahlen der Selbständigen
forvalues j = 2008(5)2018{
tab Selbst if welle == `j' [iw = hhrf_bund]
}

*Entwicklung der Zahlen der AN
forvalues j = 2008(5)2018{
tab AN if welle == `j' [iw = hhrf_bund]
}

*Entwicklung der Zahlen der AN
forvalues j = 2008(5)2018{
tab Beamte if welle == `j' [iw = hhrf_bund]
}



*Sind die Verteilungen der Einkommensvariablen plausibel?
foreach i in Brutto_abh_besch Einnahmen_oeff_transfers Brutto_selbst Brutto_ekvermoegen  unterstellte_miete{
di "Variable `i'"
forvalues j = 2008(5)2018{
di `j'
sum `i' if welle == `j' [aw = hhrf_bund]
}
}

*Einkommensvariablen bearbeiten: 
*Normierung auf 3 Monate (Netto wurde schon vorher)

*Bruttoeinkommen
rename earn_gross_hh bruttoeinkommen
replace bruttoeinkommen = bruttoeinkommen / 3
sum bruttoeinkommen
*Nettoeinkommen
rename earn_net_hh nettoeinkommen
sum nettoeinkommen
*EK aus abh. Besch.
replace Brutto_abh_besch = Brutto_abh_besch / 3
*EK aus öff. Transfers
replace Einnahmen_oeff_transfers  = Einnahmen_oeff_transfers  / 3
*EK aus selbst. Tätigkeit
replace  Brutto_selbst = Brutto_selbst  / 3
*EK aus Vermögen und Vermietung (inkl. imputierte Miete)
replace  Brutto_ekvermoegen =  Brutto_ekvermoegen / 3
*EK aus imputierter Miete
replace  unterstellte_miete =  unterstellte_miete / 3

*Umbenennen der Einkommensbestandteile (zu lang)
rename Brutto_abh_besch EK_abh_besch
rename Einnahmen_oeff_transfers EK_oeff_tr
rename Brutto_selbst EK_selbst
rename Brutto_ekvermoegen EK_Vermoegen
rename unterstellte_miete EK_unterst_miet

*Globals für die Winsorizing-Prozedur
global HH_einkommen = "bruttoeinkommen nettoeinkommen"
global einkommensbestandteile = "EK_abh_besch EK_oeff_tr EK_selbst EK_Vermoegen EK_unterst_miet"
global HH_einkommen_OECD = "bruttoeinkommen_OECD nettoeinkommen_OECD EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_Vermoegen_OECD EK_unterst_miet_OECD"
global einkommensbestandteil_quoten = "EK_abh_besch_quote EK_oeff_tr_quote EK_selbst_quote EK_Vermoegen_quote EK_unterst_miet_quote"


*Deflationiorung von Löhnen und Einkommen auf 2015 Werte
*Einkommensquoten berechnen
foreach i in Monatslohn Stundenlohn $HH_einkommen $einkommensbestandteile{
replace `i' = `i' * 100 / 91.4 if welle == 2008
replace `i' = `i' * 100 / 98.6 if welle == 2013
replace `i' = `i' * 100 / 104  if welle == 2018

}



*Einkommensquoten berechnen
foreach i in $einkommensbestandteile{
gen `i'_quote = `i' / bruttoeinkommen
}

*OECD-gewichtete Einkommen und -bestandteile berechnen
foreach i in $HH_einkommen $einkommensbestandteile  {
gen `i'_OECD = `i' / oecd_weight
}


*Vor dem winsorizen Verteilungen im Detail anschauen
*foreach i in $HH_einkommen $HH_einkommen_OECD  $einkommensbestandteile Monatslohn Stundenlohn Stundenzahl  {
*di "Variable `i'"
*forvalues j = 2008(5)2018{
*di `j'
*sum `i' if welle == `j', detail
*}
*}

*Beim Winsorizing sind folgende Variablen ein Problem: 
* - Bruttoeinkommen aus unselbständiger Arbeit: viele Nullen
* - Einkommen aus öffentlichen Transferzahlungen: viele Nullen
* - EK aus selbst. Tätigkeit viele Nullen
* - EK aus Vermögen: negative Werte, viele Nullen
* - EK aus imputierter Miete: negative Werte, viele Nullen

*Vor allem die Fälle mit vielen Nullen sind ein Problem, dann wird beim Winsorizing richtig viel von der Substanz abgeschnitten!!!!



*Globals für die Winsorizing-Prozedur
global HH_einkommen = "bruttoeinkommen nettoeinkommen"
global einkommensbestandteile = "EK_abh_besch EK_oeff_tr EK_selbst EK_Vermoegen EK_unterst_miet"
global einkommensbestandteile_OECD = "EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_Vermoegen_OECD EK_unterst_miet_OECD "
global HH_einkommen_OECD = "bruttoeinkommen_OECD nettoeinkommen_OECD EK_abh_besch_OECD EK_oeff_tr_OECD EK_selbst_OECD EK_Vermoegen_OECD EK_unterst_miet_OECD"
global einkommensbestandteil_quoten = "EK_abh_besch_quote EK_oeff_tr_quote EK_selbst_quote EK_Vermoegen_quote EK_unterst_miet_quote"


*Betrachtung der Selbstständigen-Einkommen vor und nach winsorizing
*Ostdeutschland 
sum EK_selbst_OECD if welle == 2018 & ostdeutschland == 1 [aw = hhrf_bund], detail
sum EK_selbst_OECD if welle == 2018 & ostdeutschland == 1 & EK_selbst_OECD > 0 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if welle == 2018 & ostdeutschland == 1 & EK_selbst_OECD > 0 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if welle == 2018 & ostdeutschland == 1 [aw = hhrf_bund], detail


*Mittel bruttoeinkommen_OECD Selbst Ost

*Winsorizing der Variablen OHNE Problem mit Nullen, 
foreach i in $HH_einkommen bruttoeinkommen_OECD nettoeinkommen_OECD   Monatslohn Stundenlohn Stundenzahl {
di "Variable `i'"
forvalues j = 2008(5)2018{
winsor2 `i' if welle == `j'
local winsor_variable = "`i'_w"
replace `i' = `winsor_variable' if welle == `j'   
drop `winsor_variable'
}
}

*Betrachtung der Selbstständigen-Einkommen vor und nach winsorizing
*Ostdeutschland 
sum EK_selbst_OECD if welle == 2018 & ostdeutschland == 1 [aw = hhrf_bund], detail
sum EK_selbst_OECD if welle == 2018 & ostdeutschland == 1 & EK_selbst_OECD > 0 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if welle == 2018 & ostdeutschland == 1 & EK_selbst_OECD > 0 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if welle == 2018 & ostdeutschland == 1 [aw = hhrf_bund], detail


*Winsorizing der Variablen MIT Problem mit Nullen
foreach i in $einkommensbestandteile $einkommensbestandteile_OECD {
di "Variable `i'"
forvalues j = 2008(5)2018{
winsor2 `i' if welle == `j' & `i' != 0 
local winsor_variable = "`i'_w"
replace `i' = `winsor_variable' if welle == `j' & `i' != 0  
drop `winsor_variable'
}
}


*Betrachtung der Selbstständigen-Einkommen vor und nach winsorizing
*Ostdeutschland 
sum EK_selbst_OECD if welle == 2018 & ostdeutschland == 1 [aw = hhrf_bund], detail
sum EK_selbst_OECD if welle == 2018 & ostdeutschland == 1 & EK_selbst_OECD > 0 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if welle == 2018 & ostdeutschland == 1 & EK_selbst_OECD > 0 [aw = hhrf_bund], detail
sum bruttoeinkommen_OECD if welle == 2018 & ostdeutschland == 1 [aw = hhrf_bund], detail




*Log-Werte der Einkommen
foreach i in $HH_einkommen_OECD Monatslohn {
gen log_`i' = log(`i') if `i' > 0
}


*Sind die Verteilungen der Einkommensquoten plausibel?
foreach i in $einkommensbestandteil_quoten{
di "Variable `i'"
forvalues j = 2008(5)2018{
di `j'
sum `i' if welle == `j' [aw = hhrf_bund]
}
}



*Selbstständigen Zahlen an VGR Statistik anpassen

*Variable für Anzahl der Selbstständigen im HH anlegen
bys hid welle: egen Selbst_Zahl = sum(Selbst)
tab Selbst_Zahl

*wie viele Selbstständige?
*West
sum Selbst if ostdeutschland == 0 & welle == 2008 [aw = hhrf_bund]
global vgr_01 = 3824000 / 3771000 * 2598931
sum Selbst if ostdeutschland == 0 & welle == 2013 [aw = hhrf_bund]
global vgr_02 = 3855000 / 3771000 * 2598931
sum Selbst if ostdeutschland == 0 & welle == 2018 [aw = hhrf_bund]
global vgr_03 = 3634000 / 3771000 * 2598931
*Ost: EVS-Selbstständige nehmen zu, sollten aber laut VGR abnehmen
sum Selbst if ostdeutschland == 1 & welle == 2008 [aw = hhrf_bund]
global vgr_11 = 655000 / 628666.67 * 511589
sum Selbst if ostdeutschland == 1 & welle == 2013 [aw = hhrf_bund]
global vgr_12 = 640000 / 628666.67 * 511589
sum Selbst if ostdeutschland == 1 & welle == 2018 [aw = hhrf_bund]
global vgr_13 = 591000 / 628666.67 * 511589

*EVS gewichtete Zahl Selbstständige insgesamt
sum Selbst [aw = hhrf_bund]
*9331559
*EVS Ost
sum Selbst if ostdeutschland == 1 [aw = hhrf_bund]
*1534767
*Mittelwert über die Jahre
di 1534767 / 3
*511589
*EVS West
sum Selbst if ostdeutschland == 0 [aw = hhrf_bund]
*7796792
*Mittelwert über die Jahre
di 7796792 / 3
*2598931

*VGR Ost im Schnitt
di (655000+640000+591000)/3
*VGR West im Schnitt
di (3824000+3855000+3634000)/3

*VGR gewichtete Zahl Selbstständige insgesamt
di 3824000+3855000+3634000+655000+640000+591000
*13199000

*Relation EVS / VGR ca. 70%
di 9331559 / 13199000

*EVS Anteil Ostdeutschland bei Selbstständigen 
sum ostdeutschland if Selbst == 1 [aw = hhrf_bund]
*ca. 16%

*VGR Anteil Ostdeutschland bei Selbstständigen 
di (655000+640000+591000)/(655000+640000+591000+3824000+3855000+3634000)
*ca. 14% - etwas weniger


*Umgewichtung 
cap gen test_gewicht = .
forvalues j = 0(1)1 {
forvalues k = 1(1)3 {
local jahr = 2003 + 5 * `k' 
sum Selbst if ostdeutschland == `j' & welle == `jahr' [iw = hhrf_bund]
di `r(sum_w)'
local vgr_name = "vgr_`j'`k'"
di $`vgr_name'
di $`vgr_name' / `r(sum_w)'
replace test_gewicht = hhrf_bund / `r(sum_w)' * $`vgr_name' if Selbst_HH == 1 & ostdeutschland == `j' & welle == `jahr'
}
}

*wie viele Selbstständige nach Umgewichtung?
*West
sum Selbst if ostdeutschland == 0 & welle == 2008 [aw = test_gewicht]
sum Selbst if ostdeutschland == 0 & welle == 2013 [aw = test_gewicht]
sum Selbst if ostdeutschland == 0 & welle == 2018 [aw = test_gewicht]
*Ost: EVS-Selbstständige nehmen zu, sollten aber laut VGR abnehmen
sum Selbst if ostdeutschland == 1 & welle == 2008 [aw = test_gewicht]
sum Selbst if ostdeutschland == 1 & welle == 2013 [aw = test_gewicht]
sum Selbst if ostdeutschland == 1 & welle == 2018 [aw = test_gewicht]

*wie viele AN in Selbstständigen-HH?
*West
sum AN if Selbst_HH == 1 & ostdeutschland == 0 & welle == 2008 [aw = test_gewicht]
sum AN if Selbst_HH == 1 & ostdeutschland == 0 & welle == 2013 [aw = test_gewicht]
sum AN if Selbst_HH == 1 & ostdeutschland == 0 & welle == 2018 [aw = test_gewicht]
*Ost
sum AN if Selbst_HH == 1 & ostdeutschland == 1 & welle == 2008 [aw = test_gewicht]
sum AN if Selbst_HH == 1 & ostdeutschland == 1 & welle == 2013 [aw = test_gewicht]
sum AN if Selbst_HH == 1 & ostdeutschland == 1 & welle == 2018 [aw = test_gewicht]

*Gewichte überschreiben
replace hhrf_bund = test_gewicht if Selbst_HH == 1
cap drop test_gewicht


*Anzahl der Personen, hochgerechnet
tab welle [aw = hhrf_bund]
*Anzahl der Arbeitnehmer, hochgerechnet 
sum AN if welle == 2008 [aw = hhrf_bund]
sum AN if welle == 2013 [aw = hhrf_bund]
sum AN if welle == 2018 [aw = hhrf_bund]
*Anzahl der Selbstständigen
tab welle if Selbst == 1 [aw = hhrf_bund]
*Altersverteilung
sum Alter if AN == 1 & welle == 2008 [aw = hhrf_bund]
sum Alter if AN == 1 & welle == 2013 [aw = hhrf_bund]
sum Alter if AN == 1 & welle == 2018 [aw = hhrf_bund]
*Anzahl der Azubis, hochgerechnet 
tab welle if Azubi == 1 [aw = hhrf_bund]


*Problem: Minijob-Zahlen schwanken stark
*2008er Abfrage nicht so gut, Minijob als letzte Kategorie hinter Teilzeit, Dokument S. 
*2013 wird aber Nebenverdienst abgefragt, z.B. aus Minijobs
*Erhebung 2013 und 2018 identisch, Minijob wird direkt abgefragt
*Dokument 2013 S. 11
*Dokument 2018 S. 11

*Fallzahlen Minijobs
tab minijob
tab Azubi if minijob == 1
*2008
tab minijob if welle == 2008 [iw = hhrf_bund]
*2013
tab minijob if welle == 2013 [iw = hhrf_bund]
*2018
tab minijob if welle == 2018 [iw = hhrf_bund]


*2008 minijobs approximieren über Gehalt und Arbeitszeit wegen Ausreißer
cap gen minijob_2008 = . if AN == 1 & welle == 2008
*2008
replace minijob_2008 = 1 if AN == 1 & welle == 2008 & Monatslohn  >= 0 & Monatslohn  <= 450 
replace minijob_2008 = 1 if AN == 1 & welle == 2008 & Stundenzahl >  0 & Stundenzahl <= 14   & Monatslohn  <= 600
replace minijob_2008 = 1 if AN == 1 & welle == 2008 & minijob == 1 
tab minijob_2008 if welle == 2008 [iw = hhrf_bund]
tab Azubi if minijob_2008 == 1



*CHECK: WIE GUT SIND DIE FALLZAHLEN, Altersverteilung und Gehaltsverteilung?

*Minijobs Fallzahlen
*2008
tab minijob_2008 if welle == 2008 [iw = hhrf_bund]
*2013
tab minijob if welle == 2013 [iw = hhrf_bund]
*2018
tab minijob if welle == 2018 [iw = hhrf_bund]

*Altersverteilung der Minijobs
sum Alter if minijob_2008 == 1                 [iw = hhrf_bund]
sum Alter if minijob      == 1 & welle == 2013 [iw = hhrf_bund]
sum Alter if minijob      == 1 & welle == 2018 [iw = hhrf_bund]

*Gehaltsverteilung der Minijobs
sum Monatslohn if minijob      == 1 & welle == 2008 [iw = hhrf_bund]
sum Monatslohn if minijob_2008 == 1                 [iw = hhrf_bund]
sum Monatslohn if minijob      == 1 & welle == 2013 [iw = hhrf_bund]
sum Monatslohn if minijob      == 1 & welle == 2018 [iw = hhrf_bund]







*Minijobs 2008 umgewichten

*Variablen wie im SOEP-Code anlegen
*Gewicht
cap gen phrf = hhrf_bund
*Geschlecht 
tab Geschlecht if minijob == 1 & welle == 2013 [iw = hhrf_bund]
cap gen pla0009_v2 = Geschlecht
*Altersvariablen
cap gen alter_19_24 = 1 if Alter >= 19 & Alter <= 24
cap gen alter_25_54 = 1 if Alter >= 25 & Alter <= 54
cap gen alter_55_65 = 1 if Alter >= 55 & Alter <= 65
tab alter_19_24 [iw = phrf]
tab alter_25_54 [iw = phrf]
tab alter_55_65 [iw = phrf]
*Welle
cap gen syear = welle



*Schleife für die Gewichtsanpassung
*Gesamtgewicht EVS Minijobs 2008: 1068736.2
*Gesamtgewicht EVS Minijobs 2013: 3627456.8
*Gesamtgewicht SOEP Minijobs 2008: 3238056
*Gesamtgewicht Soep Minijobs 2013: 3237522

*SOEP ZAHL IN ZIELGRUPPEN GESAMT UNTERSCHEIDET SICH KAUM ZWISCHEN 2008 und 2013, KANN MAN IGNORIEREN
*ABER DIE EINZELNEN ZIELGRUPPEN MÜSSEN FÜR 2008 ANGEPASST WERDEN

*ICH NEHME NUR EINE ANPASSUNGEN FÜR 2008 VOR; DIE ZAHLEN FÜR 2013 SCHEINEN VON DER TENDENZ HER ZU STIMMEN

*SOEP-Zahlen (auskommentiert):

*SOEP: Anzahl der Minijobs mit allen Variablen: ACHTUNG: 2013 FEHLEN EIN PAAR DATEN ZUM GESCHLECHT
*2008
*tab minijob if (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2008 [iw = phrf]
*3238056
*2013
*tab minijob if (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2013 [iw = phrf]
*3237522

*SOEP: Gewicht um fehlende Geschlechtsangaben in 2013 korrigieren
*2013
*tab minijob if (pla0009_v2 == 1 | pla0009_v2 == 2 ) & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2013 [iw = phrf]
*2870852
*cap gen phrf_neu = phrf
*replace phrf_neu = phrf_neu * 3237522 / 2870852 if syear == 2013
*tab minijob if (pla0009_v2 == 1 | pla0009_v2 == 2 ) & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2013 [iw = phrf_neu]
*3237522

*EVS: Fallzahlen mit allen Beobachtungen
*2008
tab minijob_2008 if (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2008 [iw = phrf]
*900,413.6
*2013
tab minijob if (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2013 [iw = phrf]
*3,627,456.8
*2018
tab minijob if (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2018 [iw = phrf]
*3,152,516

*Plan: 
* 1. die einzelnen Zielgruppen für 2008 auf die SOEP Zahl umgewichten
* 2. Korrekturfaktor anwenden, um die Abweichung von SOEP (Zahl 2013 um etwa 400.000 zu gering) auszugleichen, 2008 und 2013 unterscheiden sich ja kaum (s.o.)

*Gewichtsanpassung der Minijobs 2008, Korrekturfaktor für Unterschied EVS vs. SOEP in 2013
global korrekturfaktor_BA_evs = 3627456.8 / 4007618  

*neues Gewicht für Minijobs 2008
tab minijob_2008 [iw = phrf]
cap drop phrf_mini_2008
cap gen phrf_mini_2008 = phrf if minijob_2008 == 1 & (pla0009_v2 == 1 | pla0009_v2 == 2 ) & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1)
tab minijob_2008 [iw = phrf_mini_2008]

*Männer
*Männer; 2008
*Männer; 2008; West
*Männer; 2008; West; jung
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 0 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global BA_101 = 282322 
*Männer; 2008; West; mittel
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 0 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global BA_102 = 459612 
*Männer; 2008; West; alt
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 0 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global BA_103 = 228538 
*Männer; 2008; Ost
*Männer; 2008; Ost; jung
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 1 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global BA_111 = 34590 
*Männer; 2008; Ost; mittel
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 1 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global BA_112 = 87522 
*Männer; 2008; Ost; alt
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 1 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global BA_113 = 47854 

*Frauen
*Frauen; 2008
*Frauen; 2008; West
*Frauen; 2008; West; jung
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 0 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global BA_201 = 372395
*Frauen; 2008; West; mittel
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 0 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global BA_202 = 1826006
*Frauen; 2008; West; alt
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 0 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global BA_203 = 449503 
*Frauen; 2008; Ost
*Frauen; 2008; Ost; jung
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 1 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global BA_211 = 47375 
*Frauen; 2008; Ost; mittel
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 1 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global BA_212 = 171489 
*Frauen; 2008; Ost; alt
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 1 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global BA_213 = 66209 


*Fallzahl Minijobs 2008 vor umgewichtung
tab minijob_2008 [iw = phrf]

*Schleife für die Gewichtsanpassung
forvalues i = 1(1)2 {
forvalues j = 0(1)1 {
local k = 0
foreach l of varlist alter_19_24 alter_25_54  alter_55_65 {
local k = `k' + 1
sum minijob_2008 if pla0009_v2 == `i' & ostdeutschland == `j' & `l' == 1 [iw = phrf]
di `r(sum_w)'
local soepname = "BA_`i'`j'`k'"
di $`soepname'
di $`soepname' / `r(sum_w)'
replace phrf_mini_2008 = phrf_mini_2008 * $`soepname' / `r(sum_w)' if pla0009_v2 == `i' & ostdeutschland == `j' & `l' == 1
}
}
}

*Fallzahl Minijobs 2008 vor Umgewichtung, mit Gewichten wie in SOEP 2008
tab minijob_2008 [iw = phrf_mini_2008]
*Perfekt!!!!!

*CHECK: HAUEN DIE ZIELGRUPPEN-FALLZAHLEN HIN?

*Frauen; 2008; West; jung
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 0 & alter_19_24 == 1 & syear == 2008 [iw = phrf_mini_2008]
global BA_201 = 372395


*Jetzt noch den SOEP-EVS Korrekturfaktor (Minijobs in EVS 2013 häufiger erfasst)
replace phrf_mini_2008 = phrf_mini_2008 * $korrekturfaktor_BA_evs

*Gewichstvariable Überschreiben, Minijob-Apassung erfolgreich
replace hhrf_bund = phrf_mini_2008 if phrf_mini_2008 != . 



*Fallzahl Minijobs 2008 nach Umgewichtung final
tab minijob_2008 [iw = hhrf_bund]


*Check: Fallzahlen Aufstocker mit Minijob
*2008
tab minijob_2008 if alg_ii_hh == 1 & welle == 2008 [iw = hhrf_bund]
*2013
tab minijob if alg_ii_hh == 1 & welle == 2013 [iw = hhrf_bund]
*2018
tab minijob if alg_ii_hh == 1 & welle == 2018 [iw = hhrf_bund]

*Check: Fallzahlen Aufstocker insgesamt
*2008
tab AN if alg_ii_hh == 1 & welle == 2008 [iw = hhrf_bund]
sum Stundenzahl if AN == 1 & alg_ii_hh == 1 & welle == 2008 [iw = hhrf_bund]
*2013
tab AN if alg_ii_hh == 1 & welle == 2013 [iw = hhrf_bund]
sum Stundenzahl if AN == 1 & alg_ii_hh == 1 & welle == 2013 [iw = hhrf_bund]
*2018
tab AN if alg_ii_hh == 1 & welle == 2018 [iw = hhrf_bund]
sum Stundenzahl if AN == 1 & alg_ii_hh == 1 & welle == 2018 [iw = hhrf_bund]




*SVB Zahlen Ost 2013 zu hoch
*zum Vergleich hinter * die adminstrativen SVB aus der BA-Statistik, Juniwerte nach Wohnort, Datei im Verzeichnis


*SVB West
sum AN if ostdeutschland == 0 & Beamte != 1 & minijob_2008 != 1 & welle == 2008 [aw = hhrf_bund]
global BA_01 = 22952522 / 25117687 * 24901041
sum AN if ostdeutschland == 0 & Beamte != 1 & minijob != 1 & welle == 2013 [aw = hhrf_bund]
global BA_02 = 24720057 / 25117687 * 24901041
sum AN if ostdeutschland == 0 & Beamte != 1 & minijob != 1 & welle == 2018 [aw = hhrf_bund]
global BA_03 = 27680481 / 25117687 * 24901041

*SVB Ost
*2013
sum AN if ostdeutschland == 1 & Beamte != 1 & minijob_2008 != 1 & welle == 2008 [aw = hhrf_bund]
global BA_11 = 4598701 / 4754952.7 * 4880273.9
sum AN if ostdeutschland == 1 & Beamte != 1 & minijob != 1 & welle == 2013 [aw = hhrf_bund]
global BA_12 = 4714070 / 4754952.7 * 4880273.9
sum AN if ostdeutschland == 1 & Beamte != 1 & minijob != 1 & welle == 2018 [aw = hhrf_bund]
global BA_13 = 4952087 / 4754952.7 * 4880273.9

*BA SVB West Mittel
di (22952522 + 24720057 + 27680481) / 3

*BA SVB Ost Mittel
di (4598701 + 4714070 + 4952087) / 3

*EVS SVB West Mittel
sum AN if ostdeutschland == 0 & Beamte != 1 & minijob != 1 [iw = hhrf_bund]
di 74703121.5 / 3
*24901041

*EVS SVB Ost Mittel
sum AN if ostdeutschland == 1 & Beamte != 1 & minijob != 1 [iw = hhrf_bund]
di 14640821.6 / 3
*4880273.9

*Minijob-VAriable überschreiben für 2008
tab minijob if welle == 2008 [iw = hhrf_bund]
tab minijob_2008 if welle == 2008 [iw = hhrf_bund]
replace minijob = minijob_2008 if welle == 2008
tab minijob if welle == 2008 [iw = hhrf_bund]



*Schleife für die Gewichtsanpassung SVB
cap gen test_gewicht = hhrf_bund
forvalues j = 0(1)1 {
forvalues k = 1(1)3 {
local jahr = 2003 + 5 * `k' 
sum AN if ostdeutschland == `j' & Beamte != 1 & minijob != 1 & welle == `jahr' [iw = hhrf_bund]
di `r(sum_w)'
local BA_name = "BA_`j'`k'"
di $`BA_name'
replace test_gewicht = hhrf_bund  / `r(sum_w)' * $`BA_name' if AN == 1 & Beamte != 1 & ostdeutschland == `j' & welle == `jahr'
}
}


*SVP West
sum AN if ostdeutschland == 0 & Beamte != 1 & minijob != 1 & welle == 2008 [aw = test_gewicht]
*22952522
sum AN if ostdeutschland == 0 & Beamte != 1 & minijob != 1 & welle == 2013 [aw = test_gewicht]
sum AN if ostdeutschland == 0 & Beamte != 1 & minijob != 1 & welle == 2018 [aw = test_gewicht]

*SVP Ost
*2013
sum AN if ostdeutschland == 1 & Beamte != 1 & minijob != 1 & welle == 2008 [aw = test_gewicht]
*4598701
sum AN if ostdeutschland == 1 & Beamte != 1 & minijob != 1 & welle == 2013 [aw = test_gewicht]
sum AN if ostdeutschland == 1 & Beamte != 1 & minijob != 1 & welle == 2018 [aw = test_gewicht]





*AN-Zahlen vor Anpassung
sum AN if welle == 2008 [aw = hhrf_bund]
sum AN if welle == 2013 [aw = hhrf_bund]
sum AN if welle == 2018 [aw = hhrf_bund]

*AN-Zahlen Minijob und Beamte
sum AN if (Beamte == 1 | minijob == 1) & welle == 2008 [aw = hhrf_bund]
sum AN if (Beamte == 1 | minijob == 1) & welle == 2013 [aw = hhrf_bund]
sum AN if (Beamte == 1 | minijob == 1) & welle == 2018 [aw = hhrf_bund]



*Beschäftigtenzahlen stimmen
replace hhrf_bund = test_gewicht if AN == 1 & Beamte != 1 & minijob != 1
cap drop test_gewicht


*AN-Zahlen nach den ganzen Anpassungen
sum AN if welle == 2008 [aw = hhrf_bund]
sum AN if welle == 2013 [aw = hhrf_bund]
sum AN if welle == 2018 [aw = hhrf_bund]





*CHECK: WIE GUT SIND DIE FALLZAHLEN, Altersverteilung und Gehaltsverteilung?

*Minijobs Fallzahlen
*2008
tab minijob_2008 if welle == 2008 [iw = hhrf_bund]
*2013
tab minijob if welle == 2013 [iw = hhrf_bund]
*2018
tab minijob if welle == 2018 [iw = hhrf_bund]

*Altersverteilung der Minijobs
sum Alter if minijob_2008 == 1                 [iw = hhrf_bund]
sum Alter if minijob      == 1 & welle == 2013 [iw = hhrf_bund]
sum Alter if minijob      == 1 & welle == 2018 [iw = hhrf_bund]

*Gehaltsverteilung der Minijobs
sum Monatslohn if minijob_2008 == 1                 [iw = hhrf_bund]
sum Monatslohn if minijob      == 1 & welle == 2013 [iw = hhrf_bund]
sum Monatslohn if minijob      == 1 & welle == 2018 [iw = hhrf_bund]

*Haushaltseinkommen bei den Minijobs 
sum nettoeinkommen_OECD if minijob_2008 == 1  & welle == 2008 [iw = hhrf_bund]
sum nettoeinkommen_OECD if minijob == 1 & welle == 2013 [iw = hhrf_bund]
sum nettoeinkommen_OECD if minijob == 1 & welle == 2018 [iw = hhrf_bund]
*Haushaltseinkommen bei den Nicht-Minijobs 
sum nettoeinkommen_OECD if AN == 1 & minijob_2008 != 1 & welle == 2008 [iw = hhrf_bund]
sum nettoeinkommen_OECD if AN == 1 & minijob != 1 & welle == 2013 [iw = hhrf_bund]
sum nettoeinkommen_OECD if AN == 1 & minijob != 1 & welle == 2018 [iw = hhrf_bund]
*Haushaltseinkommen bei in ALG II HH
sum nettoeinkommen_OECD if AN == 1 & alg_ii_hh == 1 & welle == 2008 [iw = hhrf_bund]
sum nettoeinkommen_OECD if AN == 1 & alg_ii_hh == 1 & welle == 2013 [iw = hhrf_bund]
sum nettoeinkommen_OECD if AN == 1 & alg_ii_hh == 1 & welle == 2018 [iw = hhrf_bund]



*Anzahl der Minijobs unter den AN mit Äqiv.EK unter Median
sum nettoeinkommen_OECD if AN == 1 & welle == 2008 [aw = hhrf_bund], detail
tab minijob_2008 if AN == 1 & welle == 2008 & nettoeinkommen_OECD < r(p50) [iw = hhrf_bund]
*Anzahl der Minijobs unter den AN mit Äqiv.EK unter Median
sum nettoeinkommen_OECD if AN == 1 & welle == 2013 [aw = hhrf_bund], detail
tab minijob if AN == 1 & welle == 2013 & nettoeinkommen_OECD < r(p50) [iw = hhrf_bund]
*Anzahl der Minijobs unter den AN mit Äqiv.EK unter Median
sum nettoeinkommen_OECD if AN == 1 & welle == 2018 [aw = hhrf_bund], detail
tab minijob if AN == 1 & welle == 2018 & nettoeinkommen_OECD < r(p50) [iw = hhrf_bund]


*Die Fallzahlen der Minijobs in ärmeren HH liegen etwa 200.000 unter den Zahlen von SOEP, steigen aber ebenso wie in SOEP leicht an
*Das Nettoäquivalenzeinkommen ist allerdings etwa 500 Euro höher als in SOEP, der Anstieg von 2008 auf 2013 ist nicht so stark
*An der imputierten Miete liegt es nicht, die ist in der SOEP Variable enthalten
*Korrektur per Umgewichtung erscheint schwierig, da sich die Einkommenshöhen so stark unterscheiden
*Evtl. werden in der EVS eher die Minijobs in etwas wohlhabenderen HH erfasst.

*Überflüssige Var. löschen
cap drop phrf pla0009_v2 alter_19_24 alter_25_54 alter_55_65 syear phrf_mini_2008



    
*Bite Maßzahl schreiben
cap drop mark
cap gen mark = 0 if Stundenlohn != .  & AN == 1 & welle == 2013
replace mark = 1 if Stundenlohn < 8.5 & AN == 1 & welle == 2013
tab mark  [iw = hhrf_bund]


*Bite aus der EVS heraus bestimmen in extra Datei
*save "C:\Users\toralf-pusch\Hans Böckler Stiftung\Helge Emmler - Projektordner Mindestlohn\Datenanalyse\Output\Daten\UQR2_EVS_long.dta", replace
*ML-Bite Anteil der AN unter 8.50 nach Daten aus der VE 2017
*Datei bite_evs_bestimmen.do
cap gen     bite_EVS = .
*Schleswig-Holstein
sum mark if bundesland == 1 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 1
*Hamburg
sum mark if bundesland == 2 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 2
*Niedersachsen
sum mark if bundesland == 3 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 3
*Bremen
sum mark if bundesland == 4 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 4
*NRW
sum mark if bundesland == 5 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 5
*Hessen
sum mark if bundesland == 6 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 6
*Rheinland-Pfalz
sum mark if bundesland == 7 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 7
*Baden-Württemberg
sum mark if bundesland == 8 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 8
*Bayern
sum mark if bundesland == 9 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 9
*Saarland
sum mark if bundesland == 10 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 10
*Berlin
sum mark if bundesland == 11 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 11
*Brandenburg
sum mark if bundesland == 12 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 12
*M-V
sum mark if bundesland == 13 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 13
*Sachsen
sum mark if bundesland == 14 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 14
*Sachsen-Anhalt
sum mark if bundesland == 15 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 15
*Thüringen
sum mark if bundesland == 16 [iw = hhrf_bund]
replace bite_EVS = `r(mean)' if bundesland == 16

*mark wieder löschen
cap drop mark

*Werte ausgeben
forvalues h = 1(1)16 {
di `h'
tab bite_EVS if bundesland == `h'
}


*ML-Bite Anteil der AN unter 8.50 nach Daten aus der VSE 2014
tab bundesland
gen     bite_vse = .
*Schleswig-Holstein
replace bite_vse = 127723/1085891 if bundesland == 1
*Hamburg
replace bite_vse = 71913/974528 if bundesland == 2
*Niedersachsen
replace bite_vse = 357710/3270147 if bundesland == 3
*Bremen
replace bite_vse = 36420/351041 if bundesland == 4
*NRW
replace bite_vse = 767959/7555697 if bundesland == 5
*Hessen
replace bite_vse = 243178/2782812 if bundesland == 6
*Rheinland-Pfalz
replace bite_vse = 179705/1575426 if bundesland == 7
*Baden-Württemberg
replace bite_vse = 427920/5107257 if bundesland == 8
*Bayern
replace bite_vse = 434034/5922785 if bundesland == 9
*Saarland
replace bite_vse = 43261/441084 if bundesland == 10
*Berlin
replace bite_vse = 188724/1424988 if bundesland == 11
*Brandenburg
replace bite_vse = 195234/890860 if bundesland == 12
*M-V
replace bite_vse = 146038/600705 if bundesland == 13
*Sachsen
replace bite_vse = 369198/1593996 if bundesland == 14
*Sachsen-Anhalt
replace bite_vse = 193703/831682 if bundesland == 15
*Thüringen
replace bite_vse = 190079/848780 if bundesland == 16



*DiD-Dummies anlegen

*Dummy 2013
cap gen dummy_13 = 0 if welle == 2008
replace dummy_13 = 1 if welle == 2013
replace dummy_13 = 0 if welle == 2018

*Dummy 2018
cap gen dummy_18 = 0 if welle == 2008
replace dummy_18 = 0 if welle == 2013
replace dummy_18 = 1 if welle == 2018

*Trend
cap gen trend = 1 if welle == 2008
replace trend = 2 if welle == 2013
replace trend = 3 if welle == 2018

*Trend*bite
cap gen trendbyte_vse = trend * bite_vse
cap gen trendbyte_EVS = trend * bite_EVS

*DiD-Dummy für 2013
cap gen did_vse_13 = 0 if welle == 2008
cap gen did_EVS_13 = 0 if welle == 2008
replace did_vse_13 = bite_vse if welle == 2013
replace did_EVS_13 = bite_EVS if welle == 2013
replace did_vse_13 = 0 if welle == 2018
replace did_EVS_13 = 0 if welle == 2018

*DiD-Dummy für 2018
cap gen did_vse_18 = 0 if welle == 2008
cap gen did_EVS_18 = 0 if welle == 2008
replace did_vse_18 = 0 if welle == 2013
replace did_EVS_18 = 0 if welle == 2013
replace did_vse_18 = bite_vse if welle == 2018
replace did_EVS_18 = bite_EVS if welle == 2018




*Haushaltstypen
*2008
tab hhtyp_08
gen single_frau = 0
gen single_mann = 0
gen alleinerz = 0
gen paar_o_kind_alleinverd = 0
gen paar_o_kind_mehrverd = 0
gen paar_m_kind_alleinverd = 0
gen paar_m_kind_mehrverd = 0
replace single_frau = 1 if hhtyp_08 == 1
replace single_mann = 1 if hhtyp_08 == 2
replace alleinerz = 1 if hhtyp_08 == 3 | hhtyp_08 == 5 | hhtyp_08 == 7
replace paar_o_kind_alleinverd = 1 if hhtyp_08 == 9 | hhtyp_08 == 21
replace paar_o_kind_mehrverd = 1 if hhtyp_08 == 10 | hhtyp_08 == 22
replace paar_m_kind_alleinverd = 1 if hhtyp_08 == 11 | hhtyp_08 == 13 | hhtyp_08 == 15 | hhtyp_08 == 17 | hhtyp_08 == 21 | hhtyp_08 == 23 | hhtyp_08 == 25 | hhtyp_08 == 27
replace paar_m_kind_mehrverd = 1 if hhtyp_08 == 12 | hhtyp_08 == 14 | hhtyp_08 == 16 | hhtyp_08 == 18 | hhtyp_08 == 22 | hhtyp_08 == 24 | hhtyp_08 == 26 | hhtyp_08 == 28
*2013
tab hhtyp_13
replace single_frau = 1 if hhtyp_13 == 1
replace single_mann = 1 if hhtyp_13 == 2
replace alleinerz = 1 if hhtyp_13 == 3 | hhtyp_13 == 5 | hhtyp_13 == 7
replace paar_o_kind_alleinverd = 1 if hhtyp_13 == 9 | hhtyp_13 == 21
replace paar_o_kind_mehrverd = 1 if hhtyp_13 == 10 | hhtyp_13 == 22
replace paar_m_kind_alleinverd = 1 if hhtyp_13 == 11 | hhtyp_13 == 13 | hhtyp_13 == 15 | hhtyp_13 == 17 | hhtyp_13 == 21 | hhtyp_13 == 23 | hhtyp_13 == 25 | hhtyp_13 == 27
replace paar_m_kind_mehrverd = 1 if hhtyp_13 == 12 | hhtyp_13 == 14 | hhtyp_13 == 16 | hhtyp_13 == 18 | hhtyp_13 == 22 | hhtyp_13 == 24 | hhtyp_13 == 26 | hhtyp_13 == 28
*2018
tab hhtyp_18
replace single_frau = 1 if hhtyp_18 == 1
replace single_mann = 1 if hhtyp_18 == 2
replace alleinerz = 1 if hhtyp_18 == 3 | hhtyp_18 == 5 | hhtyp_18 == 7
replace paar_o_kind_alleinverd = 1 if hhtyp_18 == 9 | hhtyp_18 == 21
replace paar_o_kind_mehrverd = 1 if hhtyp_18 == 10 | hhtyp_18 == 22
replace paar_m_kind_alleinverd = 1 if hhtyp_18 == 11 | hhtyp_18 == 13 | hhtyp_18 == 15 | hhtyp_18 == 17 | hhtyp_18 == 21 | hhtyp_18 == 23 | hhtyp_18 == 25 | hhtyp_18 == 27
replace paar_m_kind_mehrverd = 1 if hhtyp_18 == 12 | hhtyp_18 == 14 | hhtyp_18 == 16 | hhtyp_18 == 18 | hhtyp_18 == 22 | hhtyp_18 == 24 | hhtyp_18 == 26 | hhtyp_18 == 28

*BIP mit Lag 2 von VGR der Länder für den wirtschaftlichen Trend in Region
*2006er BIP	
cap gen bip_l2 = .
replace bip_l2 =	64149	if welle == 2008	& bundesland == 	8
replace bip_l2 =	63710	if welle == 2008	& bundesland == 	9
replace bip_l2 =	57133	if welle == 2008	& bundesland == 	11
replace bip_l2 =	49350	if welle == 2008	& bundesland == 	12
replace bip_l2 =	66064	if welle == 2008	& bundesland == 	4
replace bip_l2 =	84150	if welle == 2008	& bundesland == 	2
replace bip_l2 =	70817	if welle == 2008	& bundesland == 	6
replace bip_l2 =	43338	if welle == 2008	& bundesland == 	13
replace bip_l2 =	57106	if welle == 2008	& bundesland == 	3
replace bip_l2 =	61565	if welle == 2008	& bundesland == 	5
replace bip_l2 =	56850	if welle == 2008	& bundesland == 	7
replace bip_l2 =	58119	if welle == 2008	& bundesland == 	10
replace bip_l2 =	45881	if welle == 2008	& bundesland == 	14
replace bip_l2 =	47406	if welle == 2008	& bundesland == 	15
replace bip_l2 =	55576	if welle == 2008	& bundesland == 	1
replace bip_l2 =	43979	if welle == 2008	& bundesland == 	16
*2011er BIP		
replace bip_l2 =	69991	if welle == 2013	& bundesland == 	8
replace bip_l2 =	69553	if welle == 2013	& bundesland == 	9
replace bip_l2 =	63330	if welle == 2013	& bundesland == 	11
replace bip_l2 =	53284	if welle == 2013	& bundesland == 	12
replace bip_l2 =	67629	if welle == 2013	& bundesland == 	4
replace bip_l2 =	83475	if welle == 2013	& bundesland == 	2
replace bip_l2 =	73101	if welle == 2013	& bundesland == 	6
replace bip_l2 =	48925	if welle == 2013	& bundesland == 	13
replace bip_l2 =	61993	if welle == 2013	& bundesland == 	3
replace bip_l2 =	66041	if welle == 2013	& bundesland == 	5
replace bip_l2 =	61948	if welle == 2013	& bundesland == 	7
replace bip_l2 =	61242	if welle == 2013	& bundesland == 	10
replace bip_l2 =	50174	if welle == 2013	& bundesland == 	14
replace bip_l2 =	50738	if welle == 2013	& bundesland == 	15
replace bip_l2 =	57994	if welle == 2013	& bundesland == 	1
replace bip_l2 =	48445	if welle == 2013	& bundesland == 	16
*2016er BIP		
replace bip_l2 =	77211	if welle == 2018	& bundesland == 	8
replace bip_l2 =	78097	if welle == 2018	& bundesland == 	9
replace bip_l2 =	70310	if welle == 2018	& bundesland == 	11
replace bip_l2 =	62181	if welle == 2018	& bundesland == 	12
replace bip_l2 =	74829	if welle == 2018	& bundesland == 	4
replace bip_l2 =	91133	if welle == 2018	& bundesland == 	2
replace bip_l2 =	80839	if welle == 2018	& bundesland == 	6
replace bip_l2 =	55542	if welle == 2018	& bundesland == 	13
replace bip_l2 =	69571	if welle == 2018	& bundesland == 	3
replace bip_l2 =	71447	if welle == 2018	& bundesland == 	5
replace bip_l2 =	69951	if welle == 2018	& bundesland == 	7
replace bip_l2 =	65848	if welle == 2018	& bundesland == 	10
replace bip_l2 =	58231	if welle == 2018	& bundesland == 	14
replace bip_l2 =	59313	if welle == 2018	& bundesland == 	15
replace bip_l2 =	64821	if welle == 2018	& bundesland == 	1
replace bip_l2 =	57608	if welle == 2018	& bundesland == 	16

*bip logarithmieren
cap gen log_bip_l2 = log(bip_l2)

*Alter Person 1
cap gen age_u30 = 0 
replace age_u30 = 1 if age < 30
cap gen age_30_40 = 0 
replace age_30_40 = 1 if age >= 30 & age < 40
cap gen age_40_50 = 0 
replace age_40_50 = 1 if age >= 40 & age < 50
cap gen age_50_65 = 0 
replace age_50_65 = 1 if age >= 50 & age < 66
cap gen age_ab_66 = 0 
replace age_ab_66 = 1 if age >= 66


*gen hrf_neu = hhrf_bund
*keep bsweight_1 bsweight_2 hrf_neu bundesland

*Anteil unter Mindestlohn 2008
cap drop mark
cap gen mark = 0 if Stundenlohn != .  & AN == 1 & welle == 2008
replace mark = 1 if Stundenlohn < 8.5 & AN == 1 & welle == 2008 
tab mark [iw = hhrf_bund]
tab mark if minijob == 1  [iw = hhrf_bund]
cap drop mark

*Anteil unter Mindestlohn 2013
cap drop mark
cap gen mark = 0 if Stundenlohn != .  & AN == 1 & welle == 2013
replace mark = 1 if Stundenlohn < 8.5 & AN == 1 & welle == 2013 
tab mark [iw = hhrf_bund]
tab mark if minijob == 1  [iw = hhrf_bund]
cap drop mark

*Entwicklung der Zahlen der AN
forvalues j = 2008(5)2018{
tab AN if welle == `j' [iw = hhrf_bund]
}

save "$datadir/UQR_Datensatz_Personen.dta", replace


*Bootstrap Datensatz erzeugen

use "$datadir/UQR_Datensatz_Personen.dta", clear

*200 mal Bundesländer Bootstrap ziehen
set seed 98034
global reps 200
forvalues i = 1 (1) $reps{ 
gen bsweight_`i'=0
forvalues j = 1 (1) 16{ 
    local bula = round(runiform(0, 2))
replace bsweight_`i' = hhrf_bund * `bula' if bundesland == `j'
}
}

save "$datadir/UQR_Datensatz_Personen_Bootstrap.dta", replace


