


*** Working Directories ***
global datadir 		"C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\EVS Daten Arbeitsverzeichnis z. Rohdaten/" 
global log "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen/" 

set linesize 180

*Zeitscheiben aneinander hängen

use "$datadir/UQR_Datensatz_Personen.dta", clear

*UQRs Einkommen und Konsum

*Globals setzen

*Alter: Referenzkategorie 30-40 rausgelassen
global altersvar `"age_u30  age_40_50 age_50_65 age_ab_66"'
global regressionsvar_hh `"single_frau single_mann alleinerz paar_o_kind_alleinverd paar_o_kind_mehrverd paar_m_kind_alleinverd paar_m_kind_mehrverd"' 

*DiD Vars
global did_bite_vse `"bite_vse dummy_13 dummy_18 did_vse_13 did_vse_18"'
global did_bite_EVS `"bite_EVS dummy_13 dummy_18 did_EVS_13 did_EVS_18"'

*DiD Vars mit Trendbite
global did_bite_vse_trend `"bite_vse dummy_13 dummy_18 trendbyte_vse did_vse_18"'
global did_bite_evs_trend `"bite_EVS dummy_13 dummy_18 trendbyte_EVS did_EVS_18"'

*Rif Beschreibung mit Cluster Option: https://journals.sagepub.com/doi/full/10.1177/1536867X20909690
*Rif Paket zum Clustern installieren
*ssc install rif
*Code kommt von Autor von Paper oben

*Code für Schleife mit Gewicht, aber mit Problem, dass keine Cluster Fehler berechnet werden können:
*local q = `i' / 100
*rifreg log_hh_inc_oecd $did_bite_vse $regressionsvar_hh log_bip_l2 [aw = hhrf_bund], quantile(`q') 
*Die Haushalte mit den größeren Gewichten haben eher geringere Einkommen

*DESWEGEN WURDEN CLUSTER BOOTSTRAPS IN DATEI ZUVOR DURCHGEFÜHRT
*Damit lässt sich dann eine gewichtete Schätzung z.B. 200 mal durchführen

*Verteilung der Einkommen für Plausibilisierung der Punktschätzer
sum log_bruttoeinkommen_OECD [aw = hhrf_bund], detail
sum log_nettoeinkommen_OECD [aw = hhrf_bund], detail

*Unterschied Bite
tab bundesland

*Mindestlohnbite Gesamtdeutschland 2018
sum bite_vse if welle == 2018 & AN == 1  [aw = hhrf_bund]

*Mindestlohnbite Ostdeutschland 2018
sum bite_vse if welle == 2018 & AN == 1  & bundesland >= 12 & bundesland <= 16 [aw = hhrf_bund]






*UQRs Brutto Einkommen

*UNTERSCHIEDE ZU MLK 012:
*  Übergang von Haushalten zu Personen
*  Nicht mehr nur Arbeitnehmerhaushalte
*  Azubis für 2013 und 2018 so approximiert wie 2008: unter 18 Jährige oder unter 22 und keine Ausbildung
*  Nebenjobs repariert (Minijobs)

*Wie viele HH-Mitglieder insgesamt
sum Alter if welle == 2008 [aw = hhrf_bund]

*wie viele Selbstständige im OSTEN?
tab Selbst if ostdeutschland == 1 & welle == 2008 [iw = hhrf_bund]
tab Selbst if ostdeutschland == 1 & welle == 2013 [iw = hhrf_bund]
tab Selbst if ostdeutschland == 1 & welle == 2018 [iw = hhrf_bund]

*Selbstständige im Westen
tab Selbst if ostdeutschland == 0 & welle == 2008 [iw = hhrf_bund]
tab Selbst if ostdeutschland == 0 & welle == 2013 [iw = hhrf_bund]
tab Selbst if ostdeutschland == 0 & welle == 2018 [iw = hhrf_bund]


*Wie groß ist die Schnittmenge von Selbstständigen- und Arbeitnehmerhaushalten?
*HH-Marker bei Person 1 für Haushalts-Variablen
bys hid welle: gen h_mark = _n
tab h_mark if welle == 2013
cap gen AN_Selbst_HH = 0 if AN_HH == 1 | Selbst_HH == 1
replace AN_Selbst_HH = 1 if AN_HH == 1 & Selbst_HH == 1
tab AN_HH if h_mark == 1 & welle == 2013 [iw = hhrf_bund]
tab Selbst_HH if h_mark == 1 & welle == 2013 [iw = hhrf_bund]
*Anzahl der Mischhaushalte
tab AN_Selbst_HH if h_mark == 1 & welle == 2013 [iw = hhrf_bund]
*AN in den Mischhaushalten
sum Monatslohn if AN == 1 & AN_Selbst_HH == 1 & welle == 2013 [iw = hhrf_bund]
tab Geschlecht if AN == 1 & AN_Selbst_HH == 1 & welle == 2013 [iw = hhrf_bund]
*Selbstständige in den Mischhaushalten
sum EK_selbst if Selbst == 1 & EK_selbst != 0 & AN_Selbst_HH == 1 & welle == 2013 [iw = hhrf_bund]
tab Geschlecht if Selbst == 1 & AN_Selbst_HH == 1 & welle == 2013 [iw = hhrf_bund]
*Einkommenssituation der Mischhaushalte, Osten
sum bruttoeinkommen_OECD if AN_Selbst_HH ==1 & ostdeutschland == 1 & h_mark == 1 & welle == 2013 [iw = hhrf_bund]
*zum Vgl. die nicht Misch AN-HH, Osten
sum bruttoeinkommen_OECD if AN_Selbst_HH !=1 & ostdeutschland == 1 & AN_HH ==1 & h_mark == 1 & welle == 2013 [iw = hhrf_bund]

*Wie hoch ist der Anteil der Selbstständigen an den Erwerbstätigen im Jahr 2013?
cap gen erwerbstaetig = 1 if AN == 1 | Selbst == 1 
replace Selbst = 0 if Selbst != 1
tab Selbst if erwerbstaetig == 1 & welle == 2013 [iw = hhrf_bund]

*Plan der Auswertungen:
* 1. nur Arbeitnehmer im Alter 18...65
* 2. Alle Personen im Alter 18...65 




*1. Selbstständigeneinkommen

*VSE
*Selbstständige, zw. 18 und 65, s.o.
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(Selbstständigeneinkommen VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * Trend"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_EK_selbst_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}

*EVS Bite
*Selbstständige, zw. 18 und 65, s.o.
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(Selbstständigeneinkommen EVS, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "EVS bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "EVS bite * Trend"
putexcel F1 = "EVS bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_EK_selbst_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1)  [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}

*2. Summe Selbstständigen- und Vermögenseinkommen
*VSE
cap drop EK_selbst_verm_OECD log_EK_selbst_verm_OECD
sum EK_selbst_OECD if Selbst == 1
sum EK_Vermoegen_OECD if Selbst == 1
cap gen EK_selbst_verm_OECD = EK_selbst_OECD + EK_Vermoegen_OECD
sum EK_selbst_verm_OECD if Selbst == 1
replace EK_selbst_verm_OECD = EK_selbst_verm_OECD + 271
tab welle if EK_selbst_verm_OECD <= 0 & Selbst == 1 [iw = hhrf_bund]
tab welle if EK_selbst_verm_OECD  > 0 & Selbst == 1 [iw = hhrf_bund]
*hist EK_selbst_verm_OECD if EK_selbst_verm_OECD < 2000 & Selbst == 1
sum Selbst if EK_selbst_verm_OECD <= 0 & Selbst == 1 [iw = hhrf_bund]
tab Selbst if EK_selbst_verm_OECD <= 0 & Selbst == 1
tab Selbst if EK_selbst_verm_OECD  > 0 & Selbst == 1
*es gibt wenige Beobachtungen mit <= 0 Euro Einkommen 
cap gen log_EK_selbst_verm_OECD = log(EK_selbst_verm_OECD)
sum log_EK_selbst_verm_OECD if Selbst == 1
sum EK_selbst_verm_OECD if Selbst == 1 & ostdeutschland == 1 & welle == 2008 [aw = hhrf_bund], detail
sum EK_selbst_verm_OECD if Selbst == 1 & ostdeutschland == 1 & welle == 2013 [aw = hhrf_bund], detail
sum EK_selbst_verm_OECD if Selbst == 1 & ostdeutschland == 1 & welle == 2018 [aw = hhrf_bund], detail
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(EK_Selbst_Verm VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * Trend"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_EK_selbst_verm_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}

*EVS Bite
*Selbstständige, zw. 18 und 65, s.o.
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(EK_Selbst_Verm EVS, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "EVS bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "EVS bite * Trend"
putexcel F1 = "EVS bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_EK_selbst_verm_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1)  [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}

*3. Bruttoeinkommen VSE Bite

*VSE
*Selbstständige, zw. 18 und 65, s.o.
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(Bruttoeinkommen VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * Trend"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_bruttoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}

*EVS Bite
*Selbstständige, zw. 18 und 65, s.o.
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(Bruttoeinkommen EVS, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "EVS bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "EVS bite * Trend"
putexcel F1 = "EVS bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_bruttoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1)  [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}



*4. Nettoeinkommen 

*VSE Bite
*Selbstständige, zw. 18 und 65, s.o.
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(Nettoeinkommen VSE, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "VSE bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "VSE bite * Trend"
putexcel F1 = "VSE bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_nettoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1)  [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}

*EVS Bite
*Selbstständige, zw. 18 und 65, s.o.
putexcel set "C:\Users\toralf-pusch\OneDrive - Hans Böckler Stiftung\2023 Journal of Economics and Statistics MW\Tabellen\UQR_Selbst_Punktschätzer", sheet(Nettoeinkommen EVS, replace) modify
putexcel A1 = "Percentile"
putexcel B1 = "EVS bite"
putexcel C1 = "dummy 2013"
putexcel D1 = "dummy 2018"
putexcel E1 = "EVS bite * Trend"
putexcel F1 = "EVS bite * dummy 2018"
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
local j = `i' + 1
putexcel A`j' = `quantil_zahl'
sleep 10
}
forvalues i = 1(1)9 {
local quantil_zahl = `i' * 10
rifreg log_nettoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1)  [aw = hhrf_bund], quantile(`quantil_zahl') 
local j = `i' + 1
putexcel B`j' = matrix(r(table))
sleep 100
}





*Bootstrap

use "$datadir/UQR_Datensatz_Personen_Bootstrap.dta", clear

*1. Selbstständigen-Einkommen

*VSE Bite
capture log using "$log/Selbst_EK_selbst_Bootstrap_VSE.log", text replace
*UQR mit VSE Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_EK_selbst_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close

*EVS Bite
capture log using "$log/Selbst_EK_selbst_Bootstrap_EVS.log", text replace
*UQR mit EVS Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_EK_selbst_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close


*2. Bruttoeinkommen

*VSE Bite
capture log using "$log/Selbst_Brutto_Bootstrap_VSE.log", text replace
*UQR mit VSE Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_bruttoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close

*EVS Bite
capture log using "$log/Selbst_Brutto_Bootstrap_EVS.log", text replace
*UQR mit EVS Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_bruttoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close

*3. Nettoeinkommen

*VSE Bite
capture log close
capture log using "$log/Selbst_Netto_Bootstrap_VSE.log", text replace
*UQR mit VSE Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_nettoeinkommen_OECD $did_bite_vse_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close

*EVS Bite
capture log using "$log/Selbst_Netto_Bootstrap_EVS.log", text replace
*UQR mit EVS Bite und Cluster
global reps 200
forvalues i = 10(10)90 {
di "Schätzwerte für DiD 2013 und 2018 für Quantil " `i'
forvalues j = 1 (1) $reps{ 
cap rifreg log_nettoeinkommen_OECD $did_bite_evs_trend $altersvar $regressionsvar_hh log_bip_l2 if (Selbst == 1) [aw = bsweight_`j'], quantile(`i') 
local bite = round(el(r(table),1,1), 0.01)
local dummy_13 = round(el(r(table),1,2), 0.01)
local dummy_18 = round(el(r(table),1,3), 0.01)
local did13 = round(el(r(table),1,4), 0.01)
local did18 = round(el(r(table),1,5), 0.01)
di `bite' "; " `dummy_13' "; " `dummy_18' "; " `did13' "; " `did18' 
}
di ""
}
cap log close

